Index: data/branches/single_player_map/worlds/single_player_proto_world_01.map
===================================================================
--- data/branches/single_player_map/worlds/single_player_proto_world_01.map	(revision 4038)
+++ data/branches/single_player_map/worlds/single_player_proto_world_01.map	(revision 4039)
@@ -286,5 +286,5 @@
 ( 800 832 -24 ) ( 856 832 -24 ) ( 800 840 -24 ) evil4_d_techwalls/d_tech_wall2_huge 0 -48 0 0.400000006 0.5 0 0 0
 ( 766 832 -32 ) ( 766 832 64 ) ( 822 832 -32 ) evil4_d_techwalls/d_tech_wall2_huge 0 -48 0 0.400000006 0.5 0 0 0
-( 508 832 -32 ) ( 508 840 -32 ) ( 508 832 64 ) evil4_d_techwalls/d_tech_wall2_huge 0 -48 0 0.400000006 0.5 0 0 0
+( 508 832 -32 ) ( 508 840 -32 ) ( 508 832 64 ) evil4_techwalls/tech_dws_grate -21 -107 0 0.400000006 0.5 0 0 0
 }
 // brush 31
@@ -326,10 +326,10 @@
 // brush 35
 {
-( -459 512 440 ) ( -459 504 440 ) ( -659 512 440 ) evil4_d_techwalls/d_tech_wall2_huge 0 -48 0 0.400000006 0.5 0 0 0
-( -416 512 -16 ) ( -616 512 -16 ) ( -416 512 -24 ) evil4_d_techwalls/d_tech_wall2_huge 0 -48 0 0.400000006 0.5 0 0 0
-( -408 512 30 ) ( -408 512 22 ) ( -408 504 30 ) evil4_d_techwalls/d_tech_wall2_huge 0 -48 0 0.400000006 0.5 0 0 0
-( -636 504 -351 ) ( -436 504 -351 ) ( -636 512 -351 ) evil4_d_techwalls/d_tech_wall2_huge 0 -48 0 0.400000006 0.5 0 0 0
-( -616 504 -24 ) ( -616 504 -16 ) ( -416 504 -24 ) evil4_d_techwalls/d_tech_wall2_huge 0 -48 0 0.400000006 0.5 0 0 0
-( -1040 496 22 ) ( -1040 504 22 ) ( -1040 496 30 ) evil4_d_techwalls/d_tech_wall2_huge 0 -48 0 0.400000006 0.5 0 0 0
+( -459 512 440 ) ( -459 504 440 ) ( -659 512 440 ) evil4_techwalls/tech_wall2_huge 0 -48 0 0.400000006 0.5 0 0 0
+( -416 512 -16 ) ( -616 512 -16 ) ( -416 512 -24 ) evil4_techwalls/tech_wall2_huge 0 -48 0 0.400000006 0.5 0 0 0
+( -408 512 30 ) ( -408 512 22 ) ( -408 504 30 ) evil4_techwalls/tech_wall2_huge 0 -48 0 0.400000006 0.5 0 0 0
+( -636 504 -351 ) ( -436 504 -351 ) ( -636 512 -351 ) evil4_techwalls/tech_wall2_huge 0 -48 0 0.400000006 0.5 0 0 0
+( -616 504 -24 ) ( -616 504 -16 ) ( -416 504 -24 ) evil4_techwalls/tech_wall2_huge 0 -48 0 0.400000006 0.5 0 0 0
+( -1040 496 22 ) ( -1040 504 22 ) ( -1040 496 30 ) evil4_techwalls/tech_wall2_huge 0 -48 0 0.400000006 0.5 0 0 0
 }
 // brush 36
@@ -344,10 +344,10 @@
 // brush 37
 {
-( -515 736 440 ) ( -515 728 440 ) ( -779 736 440 ) evil4_d_techwalls/d_tech_wall2_huge 0 -48 0 0.400000006 0.5 0 0 0
-( -496 736 64 ) ( -760 736 64 ) ( -496 736 -24 ) evil4_d_techwalls/d_tech_wall2_huge 0 -48 0 0.400000006 0.5 0 0 0
-( -496 736 110 ) ( -496 736 22 ) ( -496 728 110 ) evil4_d_techwalls/d_tech_wall2_huge 0 -48 0 0.400000006 0.5 0 0 0
-( -755 728 -351 ) ( -491 728 -351 ) ( -755 736 -351 ) evil4_d_techwalls/d_tech_wall2_huge 0 -48 0 0.400000006 0.5 0 0 0
-( -760 728 -24 ) ( -760 728 64 ) ( -496 728 -24 ) evil4_d_techwalls/d_tech_wall2_huge 0 -48 0 0.400000006 0.5 0 0 0
-( -1032 728 -141 ) ( -1032 736 -141 ) ( -1032 728 -53 ) evil4_d_techwalls/d_tech_wall2_huge 0 -48 0 0.400000006 0.5 0 0 0
+( -515 736 440 ) ( -515 728 440 ) ( -779 736 440 ) evil4_techwalls/tech_dw2 0 -48 0 0.400000006 0.5 0 0 0
+( -496 736 64 ) ( -760 736 64 ) ( -496 736 -24 ) evil4_techwalls/tech_dw2 0 -48 0 0.400000006 0.5 0 0 0
+( -496 736 110 ) ( -496 736 22 ) ( -496 728 110 ) evil4_techwalls/tech_dw2 0 -48 0 0.400000006 0.5 0 0 0
+( -755 728 -351 ) ( -491 728 -351 ) ( -755 736 -351 ) evil4_techwalls/tech_dw2 0 -48 0 0.400000006 0.5 0 0 0
+( -760 728 -24 ) ( -760 728 64 ) ( -496 728 -24 ) evil4_techwalls/tech_dw2 0 -48 0 0.400000006 0.5 0 0 0
+( -1032 728 -141 ) ( -1032 736 -141 ) ( -1032 728 -53 ) evil4_techwalls/tech_dw2 0 -48 0 0.400000006 0.5 0 0 0
 }
 // brush 38
@@ -609,5 +609,5 @@
 ( 128 840 64 ) ( 128 832 64 ) ( 72 840 64 ) evil4_d_techwalls/d_tech_wall2_huge 0 -48 0 0.400000006 0.5 0 0 0
 ( 128 884 64 ) ( 72 884 64 ) ( 128 884 -32 ) evil4_d_techwalls/d_tech_wall2_huge 0 -48 0 0.400000006 0.5 0 0 0
-( -18 840 64 ) ( -18 840 -32 ) ( -18 832 64 ) evil4_d_techwalls/d_tech_wall2_huge 0 -48 0 0.400000006 0.5 0 0 0
+( -18 840 64 ) ( -18 840 -32 ) ( -18 832 64 ) evil4_techwalls/tech_dws_grate -21 -107 0 0.400000006 0.5 0 0 0
 ( 72 847.5 -23.5 ) ( 128 847.5 -23.5 ) ( 72 855.5 -23.5 ) evil4_d_techwalls/d_tech_wall2_huge 0 -48 0 0.400000006 0.5 0 0 0
 ( 56 832 -32 ) ( 56 832 64 ) ( 112 832 -32 ) evil4_d_techwalls/d_tech_wall2_huge 0 -48 0 0.400000006 0.5 0 0 0
@@ -636,8 +636,8 @@
 ( 192 872 64 ) ( 192 832 64 ) ( 128 872 64 ) evil4_d_techwalls/d_tech_wall2_huge 0 -48 0 0.400000006 0.5 0 0 0
 ( 196 884 64 ) ( 132 884 64 ) ( 196 884 -24 ) evil4_d_techwalls/d_tech_wall2_huge 0 -48 0 0.400000006 0.5 0 0 0
-( 190 872 64 ) ( 190 872 -24 ) ( 190 832 64 ) evil4_d_techwalls/d_tech_wall2_huge 0 -48 0 0.400000006 0.5 0 0 0
+( 190 872 64 ) ( 190 872 -24 ) ( 190 832 64 ) evil4_techwalls/tech_dws_grate -21 -107 0 0.400000006 0.5 0 0 0
 ( 128 832 -24 ) ( 192 832 -24 ) ( 128 872 -24 ) evil4_d_techwalls/d_tech_wall2_huge 0 -48 0 0.400000006 0.5 0 0 0
 ( 128 832 -24 ) ( 128 832 64 ) ( 192 832 -24 ) evil4_d_techwalls/d_tech_wall2_huge 0 -48 0 0.400000006 0.5 0 0 0
-( 56 831 -24 ) ( 56 871 -24 ) ( 56 831 64 ) evil4_d_techwalls/d_tech_wall2_huge 0 -48 0 0.400000006 0.5 0 0 0
+( 56 831 -24 ) ( 56 871 -24 ) ( 56 831 64 ) evil4_techwalls/tech_dws_grate -21 -107 0 0.400000006 0.5 0 0 0
 }
 // brush 69