Index: /data/branches/single_player_map/worlds/single_player_proto_world_01.map
===================================================================
--- /data/branches/single_player_map/worlds/single_player_proto_world_01.map	(revision 4040)
+++ /data/branches/single_player_map/worlds/single_player_proto_world_01.map	(revision 4041)
@@ -9108,10 +9108,10 @@
 // brush 972
 {
-( -1974 1502 150 ) ( -1974 1446 150 ) ( -1982 1502 150 ) evil4_techwalls/tech_wall2_huge 94.0000152588 207 0 0.5 0.5 0 0 0
-( -1862 896 64 ) ( -1870 896 64 ) ( -1862 896 -24 ) evil4_techwalls/tech_wall2_huge 94.0000152588 207 0 0.5 0.5 0 0 0
-( -1902 1363 150 ) ( -1902 1363 62 ) ( -1902 1307 150 ) evil4_techwalls/tech_wall2_huge 94.0000152588 207 0 0.5 0.5 0 0 0
-( -1982 1446 -24 ) ( -1974 1446 -24 ) ( -1982 1502 -24 ) evil4_techwalls/tech_wall2_huge 94.0000152588 207 0 0.5 0.5 0 0 0
-( -1974 894 -24 ) ( -1974 894 64 ) ( -1966 894 -24 ) evil4_techwalls/tech_wall2_huge 94.0000152588 207 0 0.5 0.5 0 0 0
-( -1977 679 -24 ) ( -1977 735 -24 ) ( -1977 679 64 ) evil4_techwalls/tech_wall2_huge 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1974 1502 150 ) ( -1974 1446 150 ) ( -1982 1502 150 ) effects/invismap 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1861 896 64 ) ( -1869 896 64 ) ( -1861 896 -24 ) effects/invismap 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1903 1363 150 ) ( -1903 1363 62 ) ( -1903 1307 150 ) effects/invismap 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1982 1446 -24 ) ( -1974 1446 -24 ) ( -1982 1502 -24 ) effects/invismap 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1974 895 -24 ) ( -1974 895 64 ) ( -1966 895 -24 ) effects/invismap 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1977 679 -24 ) ( -1977 735 -24 ) ( -1977 679 64 ) effects/invismap 94.0000152588 207 0 0.5 0.5 0 0 0
 }
 // brush 973
@@ -9144,10 +9144,82 @@
 // brush 976
 {
-( -1974 1648 150 ) ( -1974 1592 150 ) ( -1982 1648 150 ) evil4_techwalls/tech_wall2_huge 94.0000152588 207 0 0.5 0.5 0 0 0
-( -1862 1042 64 ) ( -1870 1042 64 ) ( -1862 1042 -24 ) evil4_techwalls/tech_wall2_huge 94.0000152588 207 0 0.5 0.5 0 0 0
-( -1902 1509 150 ) ( -1902 1509 62 ) ( -1902 1453 150 ) evil4_techwalls/tech_wall2_huge 94.0000152588 207 0 0.5 0.5 0 0 0
-( -1982 1592 -24 ) ( -1974 1592 -24 ) ( -1982 1648 -24 ) evil4_techwalls/tech_wall2_huge 94.0000152588 207 0 0.5 0.5 0 0 0
-( -1974 1040 -24 ) ( -1974 1040 64 ) ( -1966 1040 -24 ) evil4_techwalls/tech_wall2_huge 94.0000152588 207 0 0.5 0.5 0 0 0
-( -1977 825 -24 ) ( -1977 881 -24 ) ( -1977 825 64 ) evil4_techwalls/tech_wall2_huge 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1974 1648 150 ) ( -1974 1592 150 ) ( -1982 1648 150 ) effects/invismap 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1862 1042 64 ) ( -1870 1042 64 ) ( -1862 1042 -24 ) effects/invismap 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1902 1509 150 ) ( -1902 1509 62 ) ( -1902 1453 150 ) effects/invismap 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1982 1592 -24 ) ( -1974 1592 -24 ) ( -1982 1648 -24 ) effects/invismap 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1974 1040 -24 ) ( -1974 1040 64 ) ( -1966 1040 -24 ) effects/invismap 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1977 825 -24 ) ( -1977 881 -24 ) ( -1977 825 64 ) effects/invismap 94.0000152588 207 0 0.5 0.5 0 0 0
+}
+// brush 977
+{
+( -1967 1516 150 ) ( -1967 1460 150 ) ( -1975 1516 150 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1859 897 64 ) ( -1867 897 64 ) ( -1859 897 -24 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1901 1363 150 ) ( -1901 1363 62 ) ( -1901 1307 150 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1975 1460 -24 ) ( -1967 1460 -24 ) ( -1975 1516 -24 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1964 895 -24 ) ( -1964 895 64 ) ( -1956 895 -24 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1903 693 -24 ) ( -1903 749 -24 ) ( -1903 693 64 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+}
+// brush 978
+{
+( -1967 895 -557 ) ( -1967 895 -501 ) ( -1975 895 -557 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1859 809 62 ) ( -1867 809 62 ) ( -1859 721 62 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1901 895 -404 ) ( -1901 807 -404 ) ( -1901 895 -348 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1976 629 -501 ) ( -1968 629 -501 ) ( -1976 629 -557 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1964 721 64 ) ( -1964 809 64 ) ( -1956 721 64 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1904 629 266 ) ( -1904 629 210 ) ( -1904 717 266 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+}
+// brush 979
+{
+( -1967 1483 149 ) ( -1967 1427 149 ) ( -1975 1483 149 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1859 864 63 ) ( -1867 864 63 ) ( -1859 864 -25 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1901 1330 149 ) ( -1901 1330 61 ) ( -1901 1274 149 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1975 1427 -25 ) ( -1967 1427 -25 ) ( -1975 1483 -25 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1964 862 -25 ) ( -1964 862 63 ) ( -1956 862 -25 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1903 660 -25 ) ( -1903 716 -25 ) ( -1903 660 63 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+}
+// brush 980
+{
+( -1967 895 -528 ) ( -1967 895 -472 ) ( -1975 895 -528 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1859 809 91 ) ( -1867 809 91 ) ( -1859 721 91 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1901 895 -375 ) ( -1901 807 -375 ) ( -1901 895 -319 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1976 629 -472 ) ( -1968 629 -472 ) ( -1976 629 -528 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1964 721 93 ) ( -1964 809 93 ) ( -1956 721 93 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1904 629 295 ) ( -1904 629 239 ) ( -1904 717 295 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+}
+// brush 981
+{
+( -1967 895 -499 ) ( -1967 895 -443 ) ( -1975 895 -499 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1859 809 120 ) ( -1867 809 120 ) ( -1859 721 120 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1901 895 -346 ) ( -1901 807 -346 ) ( -1901 895 -290 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1976 629 -443 ) ( -1968 629 -443 ) ( -1976 629 -499 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1964 721 122 ) ( -1964 809 122 ) ( -1956 721 122 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1904 629 324 ) ( -1904 629 268 ) ( -1904 717 324 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+}
+// brush 982
+{
+( -1967 895 -471 ) ( -1967 895 -415 ) ( -1975 895 -471 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1859 809 148 ) ( -1867 809 148 ) ( -1859 721 148 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1901 895 -318 ) ( -1901 807 -318 ) ( -1901 895 -262 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1976 629 -415 ) ( -1968 629 -415 ) ( -1976 629 -471 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1964 721 150 ) ( -1964 809 150 ) ( -1956 721 150 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1904 629 352 ) ( -1904 629 296 ) ( -1904 717 352 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+}
+// brush 983
+{
+( -1967 1483 149 ) ( -1967 1427 149 ) ( -1975 1483 149 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1859 864 63 ) ( -1867 864 63 ) ( -1859 864 -25 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1900 1330 149 ) ( -1900 1330 61 ) ( -1900 1274 149 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1975 1427 -25 ) ( -1967 1427 -25 ) ( -1975 1483 -25 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1964 862 -25 ) ( -1964 862 63 ) ( -1956 862 -25 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1905 660 -25 ) ( -1905 716 -25 ) ( -1905 660 63 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+}
+// brush 984
+{
+( -1967 1251 149 ) ( -1967 1195 149 ) ( -1975 1251 149 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1859 632 63 ) ( -1867 632 63 ) ( -1859 632 -25 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1900 1098 149 ) ( -1900 1098 61 ) ( -1900 1042 149 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1975 1195 -25 ) ( -1967 1195 -25 ) ( -1975 1251 -25 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1964 630 -25 ) ( -1964 630 63 ) ( -1956 630 -25 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1905 428 -25 ) ( -1905 484 -25 ) ( -1905 428 63 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
 }
 }
@@ -9780,10 +9852,10 @@
 // brush 0
 {
-( -1901 1238 150 ) ( -1901 1182 150 ) ( -1909 1238 150 ) evil4_techwalls/tech_wall2_huge 94.0000152588 207 0 0.5 0.5 0 0 0
-( -1904 894 64 ) ( -1912 894 64 ) ( -1904 894 -24 ) evil4_techwalls/tech_wall2_huge 94.0000152588 207 0 0.5 0.5 0 0 0
-( -1902 1249 150 ) ( -1902 1249 62 ) ( -1902 1193 150 ) evil4_techwalls/tech_wall2_huge 94.0000152588 207 0 0.5 0.5 0 0 0
-( -1909 1182 -24 ) ( -1901 1182 -24 ) ( -1909 1238 -24 ) evil4_techwalls/tech_wall2_huge 94.0000152588 207 0 0.5 0.5 0 0 0
-( -1901 630 -24 ) ( -1901 630 64 ) ( -1893 630 -24 ) evil4_techwalls/tech_wall2_huge 94.0000152588 207 0 0.5 0.5 0 0 0
-( -1904 415 -24 ) ( -1904 471 -24 ) ( -1904 415 64 ) evil4_techwalls/tech_wall2_huge 94.0000152588 207 0 0.5 0.5 0 0 0
-}
-}
+( -1901 1238 150 ) ( -1901 1182 150 ) ( -1909 1238 150 ) effects/invismap 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1904 895 64 ) ( -1912 895 64 ) ( -1904 895 -24 ) effects/invismap 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1902 1249 150 ) ( -1902 1249 62 ) ( -1902 1193 150 ) effects/invismap 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1909 1182 -24 ) ( -1901 1182 -24 ) ( -1909 1238 -24 ) effects/invismap 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1901 630 -24 ) ( -1901 630 64 ) ( -1893 630 -24 ) effects/invismap 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1903 415 -24 ) ( -1903 471 -24 ) ( -1903 415 64 ) effects/invismap 94.0000152588 207 0 0.5 0.5 0 0 0
+}
+}