Index: /data/branches/single_player_map/worlds/single_player_proto_world_01.map
===================================================================
--- /data/branches/single_player_map/worlds/single_player_proto_world_01.map	(revision 4041)
+++ /data/branches/single_player_map/worlds/single_player_proto_world_01.map	(revision 4042)
@@ -9109,5 +9109,5 @@
 {
 ( -1974 1502 150 ) ( -1974 1446 150 ) ( -1982 1502 150 ) effects/invismap 94.0000152588 207 0 0.5 0.5 0 0 0
-( -1861 896 64 ) ( -1869 896 64 ) ( -1861 896 -24 ) effects/invismap 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1861 896 64 ) ( -1869 896 64 ) ( -1861 896 -24 ) base_trim/proto_fence 94.0000152588 207 0 0.1000000015 0.1000000015 0 0 0
 ( -1903 1363 150 ) ( -1903 1363 62 ) ( -1903 1307 150 ) effects/invismap 94.0000152588 207 0 0.5 0.5 0 0 0
 ( -1982 1446 -24 ) ( -1974 1446 -24 ) ( -1982 1502 -24 ) effects/invismap 94.0000152588 207 0 0.5 0.5 0 0 0
@@ -9156,5 +9156,5 @@
 ( -1859 897 64 ) ( -1867 897 64 ) ( -1859 897 -24 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
 ( -1901 1363 150 ) ( -1901 1363 62 ) ( -1901 1307 150 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
-( -1975 1460 -24 ) ( -1967 1460 -24 ) ( -1975 1516 -24 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1975 1460 -23 ) ( -1967 1460 -23 ) ( -1975 1516 -23 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
 ( -1964 895 -24 ) ( -1964 895 64 ) ( -1956 895 -24 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
 ( -1903 693 -24 ) ( -1903 749 -24 ) ( -1903 693 64 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
@@ -9210,5 +9210,5 @@
 ( -1859 864 63 ) ( -1867 864 63 ) ( -1859 864 -25 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
 ( -1900 1330 149 ) ( -1900 1330 61 ) ( -1900 1274 149 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
-( -1975 1427 -25 ) ( -1967 1427 -25 ) ( -1975 1483 -25 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1975 1427 -23 ) ( -1967 1427 -23 ) ( -1975 1483 -23 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
 ( -1964 862 -25 ) ( -1964 862 63 ) ( -1956 862 -25 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
 ( -1905 660 -25 ) ( -1905 716 -25 ) ( -1905 660 63 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
@@ -9219,7 +9219,52 @@
 ( -1859 632 63 ) ( -1867 632 63 ) ( -1859 632 -25 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
 ( -1900 1098 149 ) ( -1900 1098 61 ) ( -1900 1042 149 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
-( -1975 1195 -25 ) ( -1967 1195 -25 ) ( -1975 1251 -25 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1975 1195 -23 ) ( -1967 1195 -23 ) ( -1975 1251 -23 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
 ( -1964 630 -25 ) ( -1964 630 63 ) ( -1956 630 -25 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
 ( -1905 428 -25 ) ( -1905 484 -25 ) ( -1905 428 63 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+}
+// brush 985
+{
+( -2031 897 -557 ) ( -2031 897 -501 ) ( -2039 897 -557 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1928 1066 62 ) ( -1936 1066 62 ) ( -1928 978 62 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1903 1146 -404 ) ( -1903 1058 -404 ) ( -1903 1146 -348 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -2045 894 -501 ) ( -2037 894 -501 ) ( -2045 894 -557 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -2033 978 64 ) ( -2033 1066 64 ) ( -2025 978 64 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1977 886 266 ) ( -1977 886 210 ) ( -1977 974 266 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+}
+// brush 986
+{
+( -2032 897 -528 ) ( -2032 897 -472 ) ( -2040 897 -528 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1929 1066 91 ) ( -1937 1066 91 ) ( -1929 978 91 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1904 1146 -375 ) ( -1904 1058 -375 ) ( -1904 1146 -319 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -2046 894 -472 ) ( -2038 894 -472 ) ( -2046 894 -528 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -2034 978 93 ) ( -2034 1066 93 ) ( -2026 978 93 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1978 886 295 ) ( -1978 886 239 ) ( -1978 974 295 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+}
+// brush 987
+{
+( -2032 897 -499 ) ( -2032 897 -443 ) ( -2040 897 -499 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1929 1066 120 ) ( -1937 1066 120 ) ( -1929 978 120 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1904 1146 -346 ) ( -1904 1058 -346 ) ( -1904 1146 -290 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -2046 894 -443 ) ( -2038 894 -443 ) ( -2046 894 -499 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -2034 978 122 ) ( -2034 1066 122 ) ( -2026 978 122 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1978 886 324 ) ( -1978 886 268 ) ( -1978 974 324 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+}
+// brush 988
+{
+( -1968 901 -643 ) ( -1968 901 -587 ) ( -1976 901 -643 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1862 809 -24 ) ( -1870 809 -24 ) ( -1862 721 -24 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1895 895 -490 ) ( -1895 807 -490 ) ( -1895 895 -434 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1979 629 -587 ) ( -1971 629 -587 ) ( -1979 629 -643 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1967 721 -23 ) ( -1967 809 -23 ) ( -1959 721 -23 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1901 630 180 ) ( -1901 630 124 ) ( -1901 718 180 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+}
+// brush 989
+{
+( -2035 901 -643 ) ( -2035 901 -587 ) ( -2043 901 -643 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1932 837 -24 ) ( -1940 837 -24 ) ( -1932 749 -24 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1901 924 -490 ) ( -1901 836 -490 ) ( -1901 924 -434 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -2039 897 -587 ) ( -2031 897 -587 ) ( -2039 897 -643 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -2037 749 -23 ) ( -2037 837 -23 ) ( -2029 749 -23 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1977 657 180 ) ( -1977 657 124 ) ( -1977 745 180 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
 }
 }
@@ -9854,5 +9899,5 @@
 ( -1901 1238 150 ) ( -1901 1182 150 ) ( -1909 1238 150 ) effects/invismap 94.0000152588 207 0 0.5 0.5 0 0 0
 ( -1904 895 64 ) ( -1912 895 64 ) ( -1904 895 -24 ) effects/invismap 94.0000152588 207 0 0.5 0.5 0 0 0
-( -1902 1249 150 ) ( -1902 1249 62 ) ( -1902 1193 150 ) effects/invismap 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1902 1249 150 ) ( -1902 1249 62 ) ( -1902 1193 150 ) base_trim/proto_fence 94.0000152588 207 0 0.1000000015 0.1000000015 0 0 0
 ( -1909 1182 -24 ) ( -1901 1182 -24 ) ( -1909 1238 -24 ) effects/invismap 94.0000152588 207 0 0.5 0.5 0 0 0
 ( -1901 630 -24 ) ( -1901 630 64 ) ( -1893 630 -24 ) effects/invismap 94.0000152588 207 0 0.5 0.5 0 0 0