Index: data/branches/single_player_map/worlds/single_player_proto_world_01.map
===================================================================
--- data/branches/single_player_map/worlds/single_player_proto_world_01.map	(revision 4043)
+++ data/branches/single_player_map/worlds/single_player_proto_world_01.map	(revision 4044)
@@ -9126,31 +9126,4 @@
 // brush 974
 {
-( -1974 1914 150 ) ( -1974 1858 150 ) ( -1982 1914 150 ) evil4_techwalls/tech_wall2_huge 94.0000152588 207 0 0.5 0.5 0 0 0
-( -1862 1308 64 ) ( -1870 1308 64 ) ( -1862 1308 -24 ) evil4_techwalls/tech_wall2_huge 94.0000152588 207 0 0.5 0.5 0 0 0
-( -1902 1775 150 ) ( -1902 1775 62 ) ( -1902 1719 150 ) evil4_techwalls/tech_wall2_huge 94.0000152588 207 0 0.5 0.5 0 0 0
-( -1982 1858 -24 ) ( -1974 1858 -24 ) ( -1982 1914 -24 ) evil4_techwalls/tech_wall2_huge 94.0000152588 207 0 0.5 0.5 0 0 0
-( -1974 1306 -24 ) ( -1974 1306 64 ) ( -1966 1306 -24 ) evil4_techwalls/tech_wall2_huge 94.0000152588 207 0 0.5 0.5 0 0 0
-( -1977 1091 -24 ) ( -1977 1147 -24 ) ( -1977 1091 64 ) evil4_techwalls/tech_wall2_huge 94.0000152588 207 0 0.5 0.5 0 0 0
-}
-// brush 975
-{
-( -1901 1650 150 ) ( -1901 1594 150 ) ( -1909 1650 150 ) evil4_techwalls/tech_wall2_huge 94.0000152588 207 0 0.5 0.5 0 0 0
-( -1904 1306 64 ) ( -1912 1306 64 ) ( -1904 1306 -24 ) evil4_techwalls/tech_wall2_huge 94.0000152588 207 0 0.5 0.5 0 0 0
-( -1902 1661 150 ) ( -1902 1661 62 ) ( -1902 1605 150 ) evil4_techwalls/tech_wall2_huge 94.0000152588 207 0 0.5 0.5 0 0 0
-( -1909 1594 -24 ) ( -1901 1594 -24 ) ( -1909 1650 -24 ) evil4_techwalls/tech_wall2_huge 94.0000152588 207 0 0.5 0.5 0 0 0
-( -1901 1042 -24 ) ( -1901 1042 64 ) ( -1893 1042 -24 ) evil4_techwalls/tech_wall2_huge 94.0000152588 207 0 0.5 0.5 0 0 0
-( -1904 827 -24 ) ( -1904 883 -24 ) ( -1904 827 64 ) evil4_techwalls/tech_wall2_huge 94.0000152588 207 0 0.5 0.5 0 0 0
-}
-// brush 976
-{
-( -1974 1648 150 ) ( -1974 1592 150 ) ( -1982 1648 150 ) effects/invismap 94.0000152588 207 0 0.5 0.5 0 0 0
-( -1862 1042 64 ) ( -1870 1042 64 ) ( -1862 1042 -24 ) effects/invismap 94.0000152588 207 0 0.5 0.5 0 0 0
-( -1902 1509 150 ) ( -1902 1509 62 ) ( -1902 1453 150 ) effects/invismap 94.0000152588 207 0 0.5 0.5 0 0 0
-( -1982 1592 -24 ) ( -1974 1592 -24 ) ( -1982 1648 -24 ) effects/invismap 94.0000152588 207 0 0.5 0.5 0 0 0
-( -1974 1040 -24 ) ( -1974 1040 64 ) ( -1966 1040 -24 ) effects/invismap 94.0000152588 207 0 0.5 0.5 0 0 0
-( -1977 825 -24 ) ( -1977 881 -24 ) ( -1977 825 64 ) effects/invismap 94.0000152588 207 0 0.5 0.5 0 0 0
-}
-// brush 977
-{
 ( -1967 1516 150 ) ( -1967 1460 150 ) ( -1975 1516 150 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
 ( -1859 897 64 ) ( -1867 897 64 ) ( -1859 897 -24 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
@@ -9160,5 +9133,5 @@
 ( -1903 693 -24 ) ( -1903 749 -24 ) ( -1903 693 64 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
 }
-// brush 978
+// brush 975
 {
 ( -1967 895 -557 ) ( -1967 895 -501 ) ( -1975 895 -557 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
@@ -9169,14 +9142,5 @@
 ( -1904 629 266 ) ( -1904 629 210 ) ( -1904 717 266 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
 }
-// brush 979
-{
-( -1967 1483 149 ) ( -1967 1427 149 ) ( -1975 1483 149 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
-( -1859 864 63 ) ( -1867 864 63 ) ( -1859 864 -25 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
-( -1901 1330 149 ) ( -1901 1330 61 ) ( -1901 1274 149 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
-( -1975 1427 -25 ) ( -1967 1427 -25 ) ( -1975 1483 -25 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
-( -1964 862 -25 ) ( -1964 862 63 ) ( -1956 862 -25 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
-( -1903 660 -25 ) ( -1903 716 -25 ) ( -1903 660 63 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
-}
-// brush 980
+// brush 976
 {
 ( -1967 895 -528 ) ( -1967 895 -472 ) ( -1975 895 -528 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
@@ -9187,5 +9151,5 @@
 ( -1904 629 295 ) ( -1904 629 239 ) ( -1904 717 295 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
 }
-// brush 981
+// brush 977
 {
 ( -1967 895 -499 ) ( -1967 895 -443 ) ( -1975 895 -499 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
@@ -9196,5 +9160,5 @@
 ( -1904 629 324 ) ( -1904 629 268 ) ( -1904 717 324 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
 }
-// brush 982
+// brush 978
 {
 ( -1967 895 -471 ) ( -1967 895 -415 ) ( -1975 895 -471 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
@@ -9205,14 +9169,5 @@
 ( -1904 629 352 ) ( -1904 629 296 ) ( -1904 717 352 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
 }
-// brush 983
-{
-( -1967 1483 149 ) ( -1967 1427 149 ) ( -1975 1483 149 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
-( -1859 864 63 ) ( -1867 864 63 ) ( -1859 864 -25 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
-( -1900 1330 149 ) ( -1900 1330 61 ) ( -1900 1274 149 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
-( -1975 1427 -23 ) ( -1967 1427 -23 ) ( -1975 1483 -23 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
-( -1964 862 -25 ) ( -1964 862 63 ) ( -1956 862 -25 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
-( -1905 660 -25 ) ( -1905 716 -25 ) ( -1905 660 63 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
-}
-// brush 984
+// brush 979
 {
 ( -1967 1251 149 ) ( -1967 1195 149 ) ( -1975 1251 149 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
@@ -9223,5 +9178,5 @@
 ( -1905 428 -25 ) ( -1905 484 -25 ) ( -1905 428 63 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
 }
-// brush 985
+// brush 980
 {
 ( -2031 897 -557 ) ( -2031 897 -501 ) ( -2039 897 -557 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
@@ -9232,5 +9187,5 @@
 ( -1977 886 266 ) ( -1977 886 210 ) ( -1977 974 266 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
 }
-// brush 986
+// brush 981
 {
 ( -2032 897 -528 ) ( -2032 897 -472 ) ( -2040 897 -528 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
@@ -9241,5 +9196,5 @@
 ( -1978 886 295 ) ( -1978 886 239 ) ( -1978 974 295 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
 }
-// brush 987
+// brush 982
 {
 ( -2032 897 -499 ) ( -2032 897 -443 ) ( -2040 897 -499 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
@@ -9250,5 +9205,5 @@
 ( -1978 886 324 ) ( -1978 886 268 ) ( -1978 974 324 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
 }
-// brush 988
+// brush 983
 {
 ( -1968 901 -643 ) ( -1968 901 -587 ) ( -1976 901 -643 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
@@ -9259,5 +9214,5 @@
 ( -1901 630 180 ) ( -1901 630 124 ) ( -1901 718 180 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
 }
-// brush 989
+// brush 984
 {
 ( -2035 901 -643 ) ( -2035 901 -587 ) ( -2043 901 -643 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
@@ -9268,5 +9223,5 @@
 ( -1977 657 180 ) ( -1977 657 124 ) ( -1977 745 180 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
 }
-// brush 990
+// brush 985
 {
 ( -1022 535 -14 ) ( -1022 516 -14 ) ( -1032 535 -14 ) base_trim/dirty_pewter_big 151 -4 0 0.200000003 0.200000003 0 0 0
@@ -9277,5 +9232,5 @@
 ( -1419 526 4 ) ( -1419 526 -23 ) ( -1291 526 4 ) base_trim/dirty_pewter_big 151 -4 0 0.200000003 0.200000003 0 0 0
 }
-// brush 991
+// brush 986
 {
 ( -1022 524 42 ) ( -1022 512 42 ) ( -1032 524 42 ) base_trim/dirty_pewter_big 151 -4 0 0.200000003 0.200000003 0 0 0
@@ -9286,5 +9241,5 @@
 ( -1032 512 16 ) ( -1032 524 16 ) ( -1032 512 42 ) base_trim/dirty_pewter_big 0 -4 0 0.200000003 0.200000003 0 0 0
 }
-// brush 992
+// brush 987
 {
 ( -1022 533 16 ) ( -1022 512 16 ) ( -1032 533 16 ) base_trim/dirty_pewter_big 151 -4 0 0.200000003 0.200000003 0 0 0
@@ -9295,5 +9250,5 @@
 ( -1032 526 -14 ) ( -1022 526 -14 ) ( -1022 517 16 ) base_trim/dirty_pewter_big 151 -4 0 0.200000003 0.200000003 0 0 0
 }
-// brush 993
+// brush 988
 {
 ( -1032 525 61 ) ( -1022 525 61 ) ( -1022 512 61 ) base_trim/dirty_pewter_big 151 -4 0 0.200000003 0.200000003 0 0 0
@@ -9304,5 +9259,5 @@
 ( -1022 525 61 ) ( -1032 525 61 ) ( -1022 517 42 ) base_trim/dirty_pewter_big 151 -4 0 0.200000003 0.200000003 0 0 0
 }
-// brush 994
+// brush 989
 {
 ( -1032 537 77 ) ( -1022 537 77 ) ( -1022 512 77 ) base_trim/dirty_pewter_big 151 -4 0 0.200000003 0.200000003 0 0 0
@@ -9313,5 +9268,5 @@
 ( -1022 537 77 ) ( -1032 537 77 ) ( -1032 525 61 ) base_trim/dirty_pewter_big 151 -4 0 0.200000003 0.200000003 0 0 0
 }
-// brush 995
+// brush 990
 {
 ( -1022 564 110 ) ( -1022 515 110 ) ( -1032 564 110 ) base_trim/dirty_pewter_big 151 -4 0 0.200000003 0.200000003 0 0 0
@@ -9322,4 +9277,31 @@
 ( -1032 512 77 ) ( -1032 561 77 ) ( -1032 512 101 ) base_trim/dirty_pewter_big 0 -4 0 0.200000003 0.200000003 0 0 0
 }
+// brush 991
+{
+( -1968 1388 149 ) ( -1968 1332 149 ) ( -1976 1388 149 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1859 769 65 ) ( -1867 769 65 ) ( -1859 769 -23 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1900 1235 151 ) ( -1900 1235 63 ) ( -1900 1179 151 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1975 1332 -23 ) ( -1967 1332 -23 ) ( -1975 1388 -23 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1965 767 -23 ) ( -1965 767 65 ) ( -1957 767 -23 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1905 565 -22 ) ( -1905 621 -22 ) ( -1905 565 66 ) evil4_metals/defaultmetal 94.0000152588 207 0 0.5 0.5 0 0 0
+}
+// brush 992
+{
+( -1452 1734 -23 ) ( -1452 1518 -23 ) ( -1716 1734 -23 ) evil1_misc/wrn_big2 -60 -84 0 0.3000000119 0.3000000119 0 0 0
+( -1253 1206 57 ) ( -1517 1206 57 ) ( -1253 1206 -31 ) evil1_misc/wrn_big2 -60 -84 0 0.3000000119 0.3000000119 0 0 0
+( -1823 1742 57 ) ( -1823 1742 -31 ) ( -1823 1526 57 ) evil1_misc/wrn_big2 -60 -84 0 0.3000000119 0.3000000119 0 0 0
+( -1724 1518 -24 ) ( -1460 1518 -24 ) ( -1724 1734 -24 ) evil1_misc/wrn_big2 -60 -84 0 0.3000000119 0.3000000119 0 0 0
+( -1699 1123 -31 ) ( -1699 1123 57 ) ( -1435 1123 -31 ) evil1_misc/wrn_big2 -60 -84 0 0.3000000119 0.3000000119 0 0 0
+( -1904 1520 -31 ) ( -1904 1736 -31 ) ( -1904 1520 57 ) evil1_misc/wrn_big2 -60 -84 0 0.3000000119 0.3000000119 0 0 0
+}
+// brush 993
+{
+( -1452 1941 -23 ) ( -1452 1725 -23 ) ( -1716 1941 -23 ) evil1_misc/wrn_big2 -60 -166 0 0.3000000119 0.3000000119 0 0 0
+( -1253 1413 57 ) ( -1517 1413 57 ) ( -1253 1413 -31 ) evil1_misc/wrn_big2 -60 -166 0 0.3000000119 0.3000000119 0 0 0
+( -1823 1949 57 ) ( -1823 1949 -31 ) ( -1823 1733 57 ) evil1_misc/wrn_big2 -60 -166 0 0.3000000119 0.3000000119 0 0 0
+( -1724 1725 -24 ) ( -1460 1725 -24 ) ( -1724 1941 -24 ) evil1_misc/wrn_big2 -60 -166 0 0.3000000119 0.3000000119 0 0 0
+( -1699 1330 -31 ) ( -1699 1330 57 ) ( -1435 1330 -31 ) evil1_misc/wrn_big2 -60 -166 0 0.3000000119 0.3000000119 0 0 0
+( -1904 1727 -31 ) ( -1904 1943 -31 ) ( -1904 1727 57 ) evil1_misc/wrn_big2 -60 -166 0 0.3000000119 0.3000000119 0 0 0
+}
 }
 // entity 1
@@ -9695,5 +9677,5 @@
 {
 "classname" "light"
-"origin" "-1636 762 65.5"
+"origin" "-1592 759 65.5"
 "light" "100"
 "_light;light" "100"
@@ -9703,123 +9685,123 @@
 {
 "classname" "light"
-"origin" "-1646 1023 65.5"
+"origin" "517 -86 174"
+"light" "100"
+}
+// entity 54
+{
+"classname" "light"
+"origin" "550 165 174"
+"light" "100"
+}
+// entity 55
+{
+"classname" "light"
+"origin" "550 244 174"
+"light" "100"
+}
+// entity 56
+{
+"classname" "light"
+"origin" "517 323 174"
+"light" "100"
+}
+// entity 57
+{
+"classname" "light"
+"origin" "517 408 174"
+"light" "100"
+}
+// entity 58
+{
+"classname" "light"
+"origin" "517 518 174"
+"light" "100"
+}
+// entity 59
+{
+"classname" "light"
+"origin" "516 323 28"
+"light" "100"
+}
+// entity 60
+{
+"classname" "light"
+"origin" "549 165 28"
+"light" "100"
+}
+// entity 61
+{
+"classname" "light"
+"origin" "517 407 28"
+"light" "100"
+}
+// entity 62
+{
+"classname" "light"
+"origin" "517 -86 28"
+"light" "100"
+}
+// entity 63
+{
+"classname" "light"
+"origin" "517 -166 28"
+"light" "100"
+}
+// entity 64
+{
+"classname" "light"
+"origin" "517 78 174"
+"light" "100"
+}
+// entity 65
+{
+"classname" "light"
+"origin" "610.5 406.5 198"
+"light" "100"
+}
+// entity 66
+{
+"classname" "light"
+"origin" "635.5 223.5 198"
+"light" "100"
+}
+// entity 67
+{
+"classname" "light"
+"origin" "610.5 37.5 198"
+"light" "100"
+}
+// entity 68
+{
+"classname" "light"
+"origin" "635.5 -135.5 198"
+"light" "100"
+}
+// entity 69
+{
+"classname" "light"
+"origin" "610.5 -310.5 198"
+"light" "100"
+}
+// entity 70
+{
+"classname" "light"
+"origin" "-611 620 -24.5"
 "light" "100"
 "_light;light" "100"
 "_sun" "1"
 }
-// entity 54
-{
-"classname" "light"
-"origin" "-1646 1276 65.5"
+// entity 71
+{
+"classname" "light"
+"origin" "-882 619 123.5"
 "light" "100"
 "_light;light" "100"
 "_sun" "1"
 }
-// entity 55
-{
-"classname" "light"
-"origin" "517 -86 174"
-"light" "100"
-}
-// entity 56
-{
-"classname" "light"
-"origin" "550 165 174"
-"light" "100"
-}
-// entity 57
-{
-"classname" "light"
-"origin" "550 244 174"
-"light" "100"
-}
-// entity 58
-{
-"classname" "light"
-"origin" "517 323 174"
-"light" "100"
-}
-// entity 59
-{
-"classname" "light"
-"origin" "517 408 174"
-"light" "100"
-}
-// entity 60
-{
-"classname" "light"
-"origin" "517 518 174"
-"light" "100"
-}
-// entity 61
-{
-"classname" "light"
-"origin" "516 323 28"
-"light" "100"
-}
-// entity 62
-{
-"classname" "light"
-"origin" "549 165 28"
-"light" "100"
-}
-// entity 63
-{
-"classname" "light"
-"origin" "517 407 28"
-"light" "100"
-}
-// entity 64
-{
-"classname" "light"
-"origin" "517 -86 28"
-"light" "100"
-}
-// entity 65
-{
-"classname" "light"
-"origin" "517 -166 28"
-"light" "100"
-}
-// entity 66
-{
-"classname" "light"
-"origin" "517 78 174"
-"light" "100"
-}
-// entity 67
-{
-"classname" "light"
-"origin" "610.5 406.5 198"
-"light" "100"
-}
-// entity 68
-{
-"classname" "light"
-"origin" "635.5 223.5 198"
-"light" "100"
-}
-// entity 69
-{
-"classname" "light"
-"origin" "610.5 37.5 198"
-"light" "100"
-}
-// entity 70
-{
-"classname" "light"
-"origin" "635.5 -135.5 198"
-"light" "100"
-}
-// entity 71
-{
-"classname" "light"
-"origin" "610.5 -310.5 198"
-"light" "100"
-}
 // entity 72
 {
 "classname" "light"
-"origin" "-611 620 -24.5"
+"origin" "-615 620 123.5"
 "light" "100"
 "_light;light" "100"
@@ -9829,5 +9811,5 @@
 {
 "classname" "light"
-"origin" "-882 619 123.5"
+"origin" "-880 619 275.5"
 "light" "100"
 "_light;light" "100"
@@ -9837,5 +9819,5 @@
 {
 "classname" "light"
-"origin" "-615 620 123.5"
+"origin" "-613 620 275.5"
 "light" "100"
 "_light;light" "100"
@@ -9845,5 +9827,5 @@
 {
 "classname" "light"
-"origin" "-880 619 275.5"
+"origin" "-882 619 -180.5"
 "light" "100"
 "_light;light" "100"
@@ -9853,5 +9835,5 @@
 {
 "classname" "light"
-"origin" "-613 620 275.5"
+"origin" "-615 620 -180.5"
 "light" "100"
 "_light;light" "100"
@@ -9861,5 +9843,5 @@
 {
 "classname" "light"
-"origin" "-882 619 -180.5"
+"origin" "-862 699 65.5"
 "light" "100"
 "_light;light" "100"
@@ -9869,5 +9851,5 @@
 {
 "classname" "light"
-"origin" "-615 620 -180.5"
+"origin" "-622 531 65.5"
 "light" "100"
 "_light;light" "100"
@@ -9877,5 +9859,5 @@
 {
 "classname" "light"
-"origin" "-862 699 65.5"
+"origin" "-745 534 65.5"
 "light" "100"
 "_light;light" "100"
@@ -9885,5 +9867,5 @@
 {
 "classname" "light"
-"origin" "-622 531 65.5"
+"origin" "-860 532 65.5"
 "light" "100"
 "_light;light" "100"
@@ -9893,5 +9875,5 @@
 {
 "classname" "light"
-"origin" "-745 534 65.5"
+"origin" "489 777 65.5"
 "light" "100"
 "_light;light" "100"
@@ -9901,5 +9883,5 @@
 {
 "classname" "light"
-"origin" "-860 532 65.5"
+"origin" "585 776 65.5"
 "light" "100"
 "_light;light" "100"
@@ -9909,5 +9891,5 @@
 {
 "classname" "light"
-"origin" "489 777 65.5"
+"origin" "706 775 65.5"
 "light" "100"
 "_light;light" "100"
@@ -9917,5 +9899,5 @@
 {
 "classname" "light"
-"origin" "585 776 65.5"
+"origin" "521 669 65.5"
 "light" "100"
 "_light;light" "100"
@@ -9925,5 +9907,5 @@
 {
 "classname" "light"
-"origin" "706 775 65.5"
+"origin" "520 606 57.5"
 "light" "100"
 "_light;light" "100"
@@ -9931,20 +9913,4 @@
 }
 // entity 86
-{
-"classname" "light"
-"origin" "521 669 65.5"
-"light" "100"
-"_light;light" "100"
-"_sun" "1"
-}
-// entity 87
-{
-"classname" "light"
-"origin" "520 606 57.5"
-"light" "100"
-"_light;light" "100"
-"_sun" "1"
-}
-// entity 88
 {
 "classname" "worldspawn"
@@ -9959,2 +9925,194 @@
 }
 }
+// entity 87
+{
+"classname" "light"
+"origin" "-1719 759 65.5"
+"light" "100"
+"_light;light" "100"
+"_sun" "1"
+}
+// entity 88
+{
+"classname" "light"
+"origin" "-1856 760 65.5"
+"light" "100"
+"_light;light" "100"
+"_sun" "1"
+}
+// entity 89
+{
+"classname" "light"
+"origin" "-1594 905 65.5"
+"light" "100"
+"_light;light" "100"
+"_sun" "1"
+}
+// entity 90
+{
+"classname" "light"
+"origin" "-1721 905 65.5"
+"light" "100"
+"_light;light" "100"
+"_sun" "1"
+}
+// entity 91
+{
+"classname" "light"
+"origin" "-1858 906 65.5"
+"light" "100"
+"_light;light" "100"
+"_sun" "1"
+}
+// entity 92
+{
+"classname" "light"
+"origin" "-1592 1049 65.5"
+"light" "100"
+"_light;light" "100"
+"_sun" "1"
+}
+// entity 93
+{
+"classname" "light"
+"origin" "-1719 1049 65.5"
+"light" "100"
+"_light;light" "100"
+"_sun" "1"
+}
+// entity 94
+{
+"classname" "light"
+"origin" "-1856 1050 65.5"
+"light" "100"
+"_light;light" "100"
+"_sun" "1"
+}
+// entity 95
+{
+"classname" "light"
+"origin" "-1590 1194 65.5"
+"light" "100"
+"_light;light" "100"
+"_sun" "1"
+}
+// entity 96
+{
+"classname" "light"
+"origin" "-1717 1194 65.5"
+"light" "100"
+"_light;light" "100"
+"_sun" "1"
+}
+// entity 97
+{
+"classname" "light"
+"origin" "-1854 1195 65.5"
+"light" "100"
+"_light;light" "100"
+"_sun" "1"
+}
+// entity 98
+{
+"classname" "light"
+"origin" "-1596 1321 65.5"
+"light" "100"
+"_light;light" "100"
+"_sun" "1"
+}
+// entity 99
+{
+"classname" "light"
+"origin" "-1723 1321 65.5"
+"light" "100"
+"_light;light" "100"
+"_sun" "1"
+}
+// entity 100
+{
+"classname" "light"
+"origin" "-1860 1322 65.5"
+"light" "100"
+"_light;light" "100"
+"_sun" "1"
+}
+// entity 101
+{
+"classname" "light"
+"origin" "-1593 1443 65.5"
+"light" "100"
+"_light;light" "100"
+"_sun" "1"
+}
+// entity 102
+{
+"classname" "light"
+"origin" "-1720 1443 65.5"
+"light" "100"
+"_light;light" "100"
+"_sun" "1"
+}
+// entity 103
+{
+"classname" "light"
+"origin" "-1857 1444 65.5"
+"light" "100"
+"_light;light" "100"
+"_sun" "1"
+}
+// entity 104
+{
+"classname" "light"
+"origin" "-1596 1559 65.5"
+"light" "100"
+"_light;light" "100"
+"_sun" "1"
+}
+// entity 105
+{
+"classname" "light"
+"origin" "-1723 1559 65.5"
+"light" "100"
+"_light;light" "100"
+"_sun" "1"
+}
+// entity 106
+{
+"classname" "light"
+"origin" "-1860 1560 65.5"
+"light" "100"
+"_light;light" "100"
+"_sun" "1"
+}
+// entity 107
+{
+"classname" "light"
+"origin" "-1594 1634 65.5"
+"light" "100"
+"_light;light" "100"
+"_sun" "1"
+}
+// entity 108
+{
+"classname" "light"
+"origin" "-1721 1634 65.5"
+"light" "100"
+"_light;light" "100"
+"_sun" "1"
+}
+// entity 109
+{
+"classname" "light"
+"origin" "-1858 1635 65.5"
+"light" "100"
+"_light;light" "100"
+"_sun" "1"
+}
+// entity 110
+{
+"classname" "light"
+"origin" "-1951 727 65.5"
+"light" "100"
+"_light;light" "100"
+"_sun" "1"
+}