Index: /data/branches/single_player_map/worlds/single_player_proto_world_01.map
===================================================================
--- /data/branches/single_player_map/worlds/single_player_proto_world_01.map	(revision 4044)
+++ /data/branches/single_player_map/worlds/single_player_proto_world_01.map	(revision 4045)
@@ -863,5 +863,5 @@
 ( -592.7430267334 623.6768188477 0 ) ( -592.7430267334 623.6768188477 -30 ) ( -597.5108947754 617.2528533936 0 ) effects/invismap 0 0 0 0.0500000007 0.0500000007 0 0 0
 ( -789.0280761719 759.9000244141 -30 ) ( -752.0902404785 732.4847564697 -30 ) ( -784.2601928711 766.3239898682 -30 ) effects/invismap 0 0 0 0.0500000007 0.0500000007 0 0 0
-( -622.650894165 645.1322479248 -30 ) ( -622.650894165 645.1322479248 0 ) ( -585.7130584717 617.7169799805 -30 ) base_trim/proto_fence 0 0 0 0.0500000007 0.0500000007 0 0 0
+( -622.650894165 645.1322479248 -30 ) ( -622.650894165 645.1322479248 0 ) ( -585.7130584717 617.7169799805 -30 ) common/invisible 0 0 0 0.0500000007 0.0500000007 0 0 0
 ( -629.0247650146 639.9002380371 -30 ) ( -624.2568969727 646.3242034912 -30 ) ( -629.0247650146 639.9002380371 0 ) effects/invismap 0 0 0 0.0500000007 0.0500000007 0 0 0
 }
@@ -869,5 +869,5 @@
 {
 ( -816 594 2 ) ( -816 586 2 ) ( -862 594 2 ) effects/invismap 0 0 0 0.0500000007 0.0500000007 0 0 0
-( -816 594 0 ) ( -862 594 0 ) ( -816 594 -30 ) base_trim/proto_fence 0 0 0 0.0500000007 0.0500000007 0 0 0
+( -816 594 0 ) ( -862 594 0 ) ( -816 594 -30 ) common/invisible 0 0 0 0.0500000007 0.0500000007 0 0 0
 ( -624 593 0 ) ( -624 593 -30 ) ( -624 585 0 ) effects/invismap 0 0 0 0.0500000007 0.0500000007 0 0 0
 ( -862 586 -30 ) ( -816 586 -30 ) ( -862 594 -30 ) effects/invismap 0 0 0 0.0500000007 0.0500000007 0 0 0
@@ -881,5 +881,5 @@
 ( -624 646 0 ) ( -624 646 -30 ) ( -624 638 0 ) effects/invismap 0 0 0 0.0500000007 0.0500000007 0 0 0
 ( -862 639 -30 ) ( -816 639 -30 ) ( -862 647 -30 ) effects/invismap 0 0 0 0.0500000007 0.0500000007 0 0 0
-( -862 646 -30 ) ( -862 646 0 ) ( -816 646 -30 ) base_trim/proto_fence 0 0 0 0.0500000007 0.0500000007 0 0 0
+( -862 646 -30 ) ( -862 646 0 ) ( -816 646 -30 ) common/invisible 0 0 0 0.0500000007 0.0500000007 0 0 0
 ( -864 639 -30 ) ( -864 647 -30 ) ( -864 639 0 ) effects/invismap 0 0 0 0.0500000007 0.0500000007 0 0 0
 }
@@ -887,5 +887,5 @@
 {
 ( -432.7398071289 737.3239898682 2 ) ( -464.9097595215 703.4847564697 2 ) ( -469.6776428223 709.9087371826 2 ) effects/invismap 0 0 0 0.0500000007 0.0500000007 0 0 0
-( -469.6776428223 709.9087371826 -30 ) ( -432.7398071289 737.3239898682 0 ) ( -469.6776428223 709.9087371826 0 ) base_trim/proto_fence 0 0 0 0.0500000007 0.0500000007 0 0 0
+( -469.6776428223 709.9087371826 -30 ) ( -432.7398071289 737.3239898682 0 ) ( -469.6776428223 709.9087371826 0 ) common/invisible 0 0 0 0.0500000007 0.0500000007 0 0 0
 ( -619.4891052246 588.2528533936 0 ) ( -624.2569732666 594.6768188477 -30 ) ( -624.2569732666 594.6768188477 0 ) effects/invismap 0 0 0 0.0500000007 0.0500000007 0 0 0
 ( -432.7398071289 737.3239898682 -30 ) ( -464.9097595215 703.4847564697 -30 ) ( -427.9719238281 730.9000244141 -30 ) effects/invismap 0 0 0 0.0500000007 0.0500000007 0 0 0
@@ -899,5 +899,5 @@
 ( -890.4891052246 617.2528533936 0 ) ( -895.2569732666 623.6768188477 -30 ) ( -895.2569732666 623.6768188477 0 ) effects/invismap 0 0 0 0.0500000007 0.0500000007 0 0 0
 ( -703.7398071289 766.3239898682 -30 ) ( -735.9097595215 732.4847564697 -30 ) ( -698.9719238281 759.9000244141 -30 ) effects/invismap 0 0 0 0.0500000007 0.0500000007 0 0 0
-( -902.2869415283 617.7169799805 -30 ) ( -865.349105835 645.1322479248 0 ) ( -865.349105835 645.1322479248 -30 ) base_trim/proto_fence 0 0 0 0.0500000007 0.0500000007 0 0 0
+( -902.2869415283 617.7169799805 -30 ) ( -865.349105835 645.1322479248 0 ) ( -865.349105835 645.1322479248 -30 ) common/invisible 0 0 0 0.0500000007 0.0500000007 0 0 0
 ( -858.9752349854 639.9002380371 0 ) ( -863.7431030273 646.3242034912 -30 ) ( -858.9752349854 639.9002380371 -30 ) effects/invismap 0 0 0 0.0500000007 0.0500000007 0 0 0
 }
@@ -905,5 +905,5 @@
 {
 ( -1018.3223571777 708.9087371826 2 ) ( -1023.0902404785 702.4847564697 2 ) ( -1055.2601928711 736.3239898682 2 ) effects/invismap 0 0 0 0.0500000007 0.0500000007 0 0 0
-( -1018.3223571777 708.9087371826 0 ) ( -1055.2601928711 736.3239898682 0 ) ( -1018.3223571777 708.9087371826 -30 ) base_trim/proto_fence 0 0 0 0.0500000007 0.0500000007 0 0 0
+( -1018.3223571777 708.9087371826 0 ) ( -1055.2601928711 736.3239898682 0 ) ( -1018.3223571777 708.9087371826 -30 ) common/invisible 0 0 0 0.0500000007 0.0500000007 0 0 0
 ( -863.7430267334 593.6768188477 0 ) ( -863.7430267334 593.6768188477 -30 ) ( -868.5108947754 587.2528533936 0 ) effects/invismap 0 0 0 0.0500000007 0.0500000007 0 0 0
 ( -1060.0280761719 729.9000244141 -30 ) ( -1023.0902404785 702.4847564697 -30 ) ( -1055.2601928711 736.3239898682 -30 ) effects/invismap 0 0 0 0.0500000007 0.0500000007 0 0 0
@@ -6606,8 +6606,8 @@
 {
 ( 320 884 64 ) ( 320 878 64 ) ( 248 884 64 ) effects/invismap 0 0 0 0.5 0.5 0 0 0
-( 322 884 -12 ) ( 250 884 -12 ) ( 322 884 -16 ) effects/invismap 0 0 0 0.5 0.5 0 0 0
+( 322 884 -12 ) ( 250 884 -12 ) ( 322 884 -16 ) common/invisible 0 0 0 0.5 0.5 0 0 0
 ( 508 885 -12 ) ( 508 885 -16 ) ( 508 879 -12 ) effects/invismap 0 0 0 0.5 0.5 0 0 0
 ( 249 878 -24 ) ( 321 878 -24 ) ( 249 884 -24 ) effects/invismap 0 0 0 0.5 0.5 0 0 0
-( 250 878 -16 ) ( 250 878 -12 ) ( 322 878 -16 ) effects/invismap 0 0 0 0.5 0.5 0 0 0
+( 250 878 -16 ) ( 250 878 -12 ) ( 322 878 -16 ) common/invisible 0 0 0 0.5 0.5 0 0 0
 ( 190 878 -16 ) ( 190 884 -16 ) ( 190 878 -12 ) effects/invismap 0 0 0 0.5 0.5 0 0 0
 }
@@ -9112,5 +9112,5 @@
 ( -1903 1363 150 ) ( -1903 1363 62 ) ( -1903 1307 150 ) effects/invismap 94.0000152588 207 0 0.5 0.5 0 0 0
 ( -1982 1446 -24 ) ( -1974 1446 -24 ) ( -1982 1502 -24 ) effects/invismap 94.0000152588 207 0 0.5 0.5 0 0 0
-( -1974 895 -24 ) ( -1974 895 64 ) ( -1966 895 -24 ) effects/invismap 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1974 895 -24 ) ( -1974 895 64 ) ( -1966 895 -24 ) common/invisible 94.0000152588 207 0 0.5 0.5 0 0 0
 ( -1977 679 -24 ) ( -1977 735 -24 ) ( -1977 679 64 ) effects/invismap 94.0000152588 207 0 0.5 0.5 0 0 0
 }
@@ -9922,5 +9922,5 @@
 ( -1909 1182 -24 ) ( -1901 1182 -24 ) ( -1909 1238 -24 ) effects/invismap 94.0000152588 207 0 0.5 0.5 0 0 0
 ( -1901 630 -24 ) ( -1901 630 64 ) ( -1893 630 -24 ) effects/invismap 94.0000152588 207 0 0.5 0.5 0 0 0
-( -1903 415 -24 ) ( -1903 471 -24 ) ( -1903 415 64 ) effects/invismap 94.0000152588 207 0 0.5 0.5 0 0 0
+( -1903 415 -24 ) ( -1903 471 -24 ) ( -1903 415 64 ) common/invisible 94.0000152588 207 0 0.5 0.5 0 0 0
 }
 }