Index: orxonox/branches/guiMerge/src/lib/gui/gui/gui.h
===================================================================
--- orxonox/branches/guiMerge/src/lib/gui/gui/gui.h	(revision 4047)
+++ orxonox/branches/guiMerge/src/lib/gui/gui/gui.h	(revision 4048)
@@ -1,4 +1,4 @@
 /*!
- \file orxonox_gui.h
+ \file gui.h
  \brief Creation of the Gui
 
@@ -11,6 +11,6 @@
 */
 
-#ifndef _ORXONOX_GUI_H
-#define _ORXONOX_GUI_H
+#ifndef _GUI_H
+#define _GUI_H
 
 using namespace std;
@@ -30,3 +30,3 @@
 };
 
-#endif /* _ORXONOX_GUI_H */
+#endif /* _GUI_H */
Index: orxonox/branches/guiMerge/src/lib/gui/gui/gui_audio.h
===================================================================
--- orxonox/branches/guiMerge/src/lib/gui/gui/gui_audio.h	(revision 4047)
+++ orxonox/branches/guiMerge/src/lib/gui/gui/gui_audio.h	(revision 4048)
@@ -1,9 +1,9 @@
 /*!
-  \file orxonox_gui_audio.h
+  \file gui_audio.h
   \brief File that holds the class that creates the Audio-Options.
 */
 
-#ifndef _ORXONOX_GUI_AUDIO_H
-#define _ORXONOX_GUI_AUDIO_H
+#ifndef _GUI_AUDIO_H
+#define _GUI_AUDIO_H
 
 #include "gui_element.h"
@@ -22,3 +22,3 @@
   ~OrxonoxGuiAudio(void);
 };
-#endif /* _ORXONOX_GUI_AUDIO_H */
+#endif /* _GUI_AUDIO_H */
Index: orxonox/branches/guiMerge/src/lib/gui/gui/gui_banner.h
===================================================================
--- orxonox/branches/guiMerge/src/lib/gui/gui/gui_banner.h	(revision 4047)
+++ orxonox/branches/guiMerge/src/lib/gui/gui/gui_banner.h	(revision 4048)
@@ -1,10 +1,10 @@
 /*!
-  \file orxonox_gui_banner.h
+  \file gui_banner.h
   \brief  File that holds the class that creates the Banner-Image.\n
   This is Commercial :-)
 */
 
-#ifndef _ORXONOX_GUI_BANNER_H
-#define _ORXONOX_GUI_BANNER_H
+#ifndef _GUI_BANNER_H
+#define _GUI_BANNER_H
 
 #include "gui.h"
@@ -20,3 +20,3 @@
 
 
-#endif /* _ORXONOX_GUI_BANNER_H */
+#endif /* _GUI_BANNER_H */
Index: orxonox/branches/guiMerge/src/lib/gui/gui/gui_element.h
===================================================================
--- orxonox/branches/guiMerge/src/lib/gui/gui/gui_element.h	(revision 4047)
+++ orxonox/branches/guiMerge/src/lib/gui/gui/gui_element.h	(revision 4048)
@@ -1,10 +1,10 @@
 /*! 
-    \file orxonox_gui_element.h
+    \file gui_element.h
     \brief Definition of ...
 
 */
 
-#ifndef _ORXONOX_GUI_ELEMENT_H
-#define _ORXONOX_GUI_ELEMENT_H
+#ifndef _GUI_ELEMENT_H
+#define _GUI_ELEMENT_H
 
 #include "gui_gtk.h"
@@ -26,3 +26,3 @@
 };
 
-#endif /* _ORXONOX_GUI_ELEMENT_H */
+#endif /* _GUI_ELEMENT_H */
Index: orxonox/branches/guiMerge/src/lib/gui/gui/gui_exec.h
===================================================================
--- orxonox/branches/guiMerge/src/lib/gui/gui/gui_exec.h	(revision 4047)
+++ orxonox/branches/guiMerge/src/lib/gui/gui/gui_exec.h	(revision 4048)
@@ -1,9 +1,9 @@
 /*!
-  \file orxonox_gui_exec.h
+  \file gui_exec.h
   \brief File that holds the class that creates the execute-Options.
 */
 
-#ifndef _ORXONOX_GUI_EXEC_H
-#define _ORXONOX_GUI_EXEC_H
+#ifndef _GUI_EXEC_H
+#define _GUI_EXEC_H
 
 #include "gui.h"
@@ -67,3 +67,3 @@
 
 
-#endif /* _ORXONOX_GUI_EXEC_H */
+#endif /* _GUI_EXEC_H */
Index: orxonox/branches/guiMerge/src/lib/gui/gui/gui_flags.h
===================================================================
--- orxonox/branches/guiMerge/src/lib/gui/gui/gui_flags.h	(revision 4047)
+++ orxonox/branches/guiMerge/src/lib/gui/gui/gui_flags.h	(revision 4048)
@@ -1,9 +1,9 @@
 /*!
-  \file orxonox_gui_flags.h
+  \file gui_flags.h
   \brief File that holds the class that creates the flags-Text.
 */
 
-#ifndef _ORXONOX_GUI_FLAGS_H
-#define _ORXONOX_GUI_FLAGS_H
+#ifndef _GUI_FLAGS_H
+#define _GUI_FLAGS_H
 
 #include "gui.h"
@@ -33,3 +33,3 @@
   };
 };
-#endif /* _ORXONOX_GUI_FLAGS_H */
+#endif /* _GUI_FLAGS_H */
Index: orxonox/branches/guiMerge/src/lib/gui/gui/gui_gtk.h
===================================================================
--- orxonox/branches/guiMerge/src/lib/gui/gui/gui_gtk.h	(revision 4047)
+++ orxonox/branches/guiMerge/src/lib/gui/gui/gui_gtk.h	(revision 4048)
@@ -1,8 +1,8 @@
 /*!
- \file orxonox_gui_gtk.h
+ \file gui_gtk.h
  \brief Contains all th different Widgets.
 */
-#ifndef _ORXONOX_GUI_GTK_H
-#define _ORXONOX_GUI_GTK_H
+#ifndef _GUI_GTK_H
+#define _GUI_GTK_H
 
 #if HAVE_CONFIG_H 
@@ -406,3 +406,3 @@
 //gint orxonox_gui_quit(GtkWidget* widget, GdkEvent* event, gpointer data);
 
-#endif /* _ORXONOX_GUI_GTK_H */
+#endif /* _GUI_GTK_H */
Index: orxonox/branches/guiMerge/src/lib/gui/gui/gui_keys.h
===================================================================
--- orxonox/branches/guiMerge/src/lib/gui/gui/gui_keys.h	(revision 4047)
+++ orxonox/branches/guiMerge/src/lib/gui/gui/gui_keys.h	(revision 4048)
@@ -1,9 +1,9 @@
 /*!
-  \file orxonox_gui_keys.h
+  \file gui_keys.h
   \brief File that holds the class that creates the Keyboard-Options.
 */
 
-#ifndef _ORXONOX_GUI_KEYS_H
-#define _ORXONOX_GUI_KEYS_H
+#ifndef _GUI_KEYS_H
+#define _GUI_KEYS_H
 
 #include "gui.h"
@@ -78,3 +78,3 @@
 
 
-#endif /* _ORXONOX_GUI_KEYS_H */
+#endif /* _GUI_KEYS_H */
Index: orxonox/branches/guiMerge/src/lib/gui/gui/gui_update.h
===================================================================
--- orxonox/branches/guiMerge/src/lib/gui/gui/gui_update.h	(revision 4047)
+++ orxonox/branches/guiMerge/src/lib/gui/gui/gui_update.h	(revision 4048)
@@ -1,9 +1,9 @@
 /*!
-  \file orxonox_gui_update.h
+  \file gui_update.h
   \brief File that holds the class that creates the update-menu.
 */
 
-#ifndef _ORXONOX_GUI_UPDATE_H
-#define _ORXONOX_GUI_UPDATE_H
+#ifndef _GUI_UPDATE_H
+#define _GUI_UPDATE_H
 
 #include "gui.h"
@@ -112,3 +112,3 @@
 };
 
-#endif /* _ORXONOX_GUI_UPDATE_H */
+#endif /* _GUI_UPDATE_H */
Index: orxonox/branches/guiMerge/src/lib/gui/gui/gui_video.h
===================================================================
--- orxonox/branches/guiMerge/src/lib/gui/gui/gui_video.h	(revision 4047)
+++ orxonox/branches/guiMerge/src/lib/gui/gui/gui_video.h	(revision 4048)
@@ -1,8 +1,8 @@
 /*!
-  \file orxonox_gui_video.h
+  \file gui_video.h
   \brief File that holds the class that creates the Video-Options.
 */
-#ifndef _ORXONOX_GUI_VIDEO_H
-#define _ORXONOX_GUI_VIDEO_H
+#ifndef _GUI_VIDEO_H
+#define _GUI_VIDEO_H
 
 #include "gui.h"
@@ -51,3 +51,3 @@
 
 };
-#endif /* _ORXONOX_GUI_VIDEO_H */
+#endif /* _GUI_VIDEO_H */