Index: orxonox/branches/guiMerge/src/lib/gui/gui/gui.h
===================================================================
--- orxonox/branches/guiMerge/src/lib/gui/gui/gui.h	(revision 4048)
+++ orxonox/branches/guiMerge/src/lib/gui/gui/gui.h	(revision 4049)
@@ -16,6 +16,4 @@
 using namespace std;
 
-#include <stdlib.h>
-
 #define ORXONOX_GUI_DEFAULT_CONFIG_FILE "~/.orxonox/orxonox.conf"
 
Index: orxonox/branches/guiMerge/src/lib/gui/gui/gui_audio.cc
===================================================================
--- orxonox/branches/guiMerge/src/lib/gui/gui/gui_audio.cc	(revision 4048)
+++ orxonox/branches/guiMerge/src/lib/gui/gui/gui_audio.cc	(revision 4049)
@@ -26,4 +26,6 @@
 #include "gui_audio.h"
 
+#include "gui_gtk.h"
+
 /**
    \brief Creates an Audio-Frame
@@ -32,14 +34,14 @@
 {
   Frame* audioFrame;        //!< The Frame that holds the audio Options.
-  Box* audioBox;            //!< The Box that holds the audio Options.
-  CheckButton* enableSound; //!< A Ckeckbutton for enabling Sound.
-  Slider* musicVolume;      //!< A Slider for music volume.
-  Slider* effectsVolume;    //!< A Slider for effects volume.
 
   audioFrame = new Frame("Audio-Options:");
   audioFrame->setGroupName("audio");
   {
+    Box* audioBox;            //!< The Box that holds the audio Options.
     audioBox = new Box('v');
     {
+      CheckButton* enableSound; //!< A Ckeckbutton for enabling Sound.
+      Slider* musicVolume;      //!< A Slider for music volume.
+      Slider* effectsVolume;    //!< A Slider for effects volume.
       
       enableSound = new CheckButton("Disable Sound");
Index: orxonox/branches/guiMerge/src/lib/gui/gui/gui_audio.h
===================================================================
--- orxonox/branches/guiMerge/src/lib/gui/gui/gui_audio.h	(revision 4048)
+++ orxonox/branches/guiMerge/src/lib/gui/gui/gui_audio.h	(revision 4049)
@@ -12,10 +12,4 @@
 class OrxonoxGuiAudio : public OrxonoxGuiElement
 {
- private:
-  Frame* audioFrame;        //!< The Frame that holds the audio Options.
-  Box* audioBox;            //!< The Box that holds the audio Options.
-  CheckButton* enableSound; //!< A Ckeckbutton for enabling Sound.
-  Slider* musicVolume;      //!< A Slider for music volume.
-  Slider* effectsVolume;    //!< A Slider for effects volume.
  public:
   OrxonoxGuiAudio(void);
Index: orxonox/branches/guiMerge/src/lib/gui/gui/gui_banner.cc
===================================================================
--- orxonox/branches/guiMerge/src/lib/gui/gui/gui_banner.cc	(revision 4048)
+++ orxonox/branches/guiMerge/src/lib/gui/gui/gui_banner.cc	(revision 4049)
@@ -26,4 +26,6 @@
 #include "gui_banner.h"
 
+#include "gui_gtk.h"
+
 #include "banner.xpm"
 #include "logo.xpm"
@@ -42,5 +44,4 @@
   // the logo Window
   Window* logoWindow;       //!< The Window that holds the Orxonox-CrewLogo.
-  EventBox* logoEventBox;   //!< The EventBox that holds the Orxonox-CrewLogo. it has to be an eventbox, because Images can not receive clicks.
   Box* logoBox;             //!< The Box that holds the Orxonox-CrewLogo
   Image* logoImage;         //!< The Orxonox-CrewLogo-Image
@@ -60,5 +61,6 @@
   logoWindow = new Window("Logo");
   {
-
+  EventBox* logoEventBox;   //!< The EventBox that holds the Orxonox-CrewLogo. it has to be an eventbox, because Images can not receive clicks.
+  
 #ifdef HAVE_GTK2
     bannerEventBox->connectSignal("button_press_event", logoWindow, Window::windowOpen);
Index: orxonox/branches/guiMerge/src/lib/gui/gui/gui_element.cc
===================================================================
--- orxonox/branches/guiMerge/src/lib/gui/gui/gui_element.cc	(revision 4048)
+++ orxonox/branches/guiMerge/src/lib/gui/gui/gui_element.cc	(revision 4049)
@@ -17,4 +17,6 @@
 
 #include "gui_element.h"
+
+#include "gui_gtk.h"
 
 using namespace std;
Index: orxonox/branches/guiMerge/src/lib/gui/gui/gui_element.h
===================================================================
--- orxonox/branches/guiMerge/src/lib/gui/gui/gui_element.h	(revision 4048)
+++ orxonox/branches/guiMerge/src/lib/gui/gui/gui_element.h	(revision 4049)
@@ -8,5 +8,5 @@
 #define _GUI_ELEMENT_H
 
-#include "gui_gtk.h"
+class Widget;
 
 //! A SuperClass for all the Different GuiElements
Index: orxonox/branches/guiMerge/src/lib/gui/gui/gui_exec.cc
===================================================================
--- orxonox/branches/guiMerge/src/lib/gui/gui/gui_exec.cc	(revision 4048)
+++ orxonox/branches/guiMerge/src/lib/gui/gui/gui_exec.cc	(revision 4049)
@@ -26,6 +26,7 @@
 #include "gui_exec.h"
 
+
 #include <string.h>
-
+#include <stdlib.h>
 #include <sys/stat.h>
 #include <sys/types.h>
Index: orxonox/branches/guiMerge/src/lib/gui/gui/gui_exec.h
===================================================================
--- orxonox/branches/guiMerge/src/lib/gui/gui/gui_exec.h	(revision 4048)
+++ orxonox/branches/guiMerge/src/lib/gui/gui/gui_exec.h	(revision 4049)
@@ -10,4 +10,5 @@
 #include "gui_element.h"
 
+#include "gui_gtk.h"
 using namespace std;
 
Index: orxonox/branches/guiMerge/src/lib/gui/gui/gui_flags.h
===================================================================
--- orxonox/branches/guiMerge/src/lib/gui/gui/gui_flags.h	(revision 4048)
+++ orxonox/branches/guiMerge/src/lib/gui/gui/gui_flags.h	(revision 4049)
@@ -9,4 +9,5 @@
 #include "gui.h"
 #include "gui_element.h"
+#include "gui_gtk.h"
 
 //! Class that creates the flags-Text.
Index: orxonox/branches/guiMerge/src/lib/gui/gui/gui_gtk.cc
===================================================================
--- orxonox/branches/guiMerge/src/lib/gui/gui/gui_gtk.cc	(revision 4048)
+++ orxonox/branches/guiMerge/src/lib/gui/gui/gui_gtk.cc	(revision 4049)
@@ -29,4 +29,5 @@
 #include <stdarg.h>
 #include <string.h>
+#include <stdlib.h>
 
 using namespace std;
Index: orxonox/branches/guiMerge/src/lib/gui/gui/gui_keys.h
===================================================================
--- orxonox/branches/guiMerge/src/lib/gui/gui/gui_keys.h	(revision 4048)
+++ orxonox/branches/guiMerge/src/lib/gui/gui/gui_keys.h	(revision 4049)
@@ -9,4 +9,5 @@
 #include "gui.h"
 #include "gui_element.h"
+#include "gui_gtk.h"
 
 #ifdef HAVE_GTK2
Index: orxonox/branches/guiMerge/src/lib/gui/gui/gui_update.h
===================================================================
--- orxonox/branches/guiMerge/src/lib/gui/gui/gui_update.h	(revision 4048)
+++ orxonox/branches/guiMerge/src/lib/gui/gui/gui_update.h	(revision 4049)
@@ -9,4 +9,5 @@
 #include "gui.h"
 #include "gui_element.h"
+#include "gui_gtk.h"
 
 #include <stdio.h>
Index: orxonox/branches/guiMerge/src/lib/gui/gui/gui_video.cc
===================================================================
--- orxonox/branches/guiMerge/src/lib/gui/gui/gui_video.cc	(revision 4048)
+++ orxonox/branches/guiMerge/src/lib/gui/gui/gui_video.cc	(revision 4049)
@@ -28,4 +28,5 @@
 
 #include "glincl.h"
+#include <stdlib.h>
 
 /**
Index: orxonox/branches/guiMerge/src/lib/gui/gui/gui_video.h
===================================================================
--- orxonox/branches/guiMerge/src/lib/gui/gui/gui_video.h	(revision 4048)
+++ orxonox/branches/guiMerge/src/lib/gui/gui/gui_video.h	(revision 4049)
@@ -8,4 +8,5 @@
 #include "gui.h"
 #include "gui_element.h"
+#include "gui_gtk.h"
 
 //! Class that creates the Video-Options.