Index: orxonox/trunk/src/lib/gui/gui/gui.cc
===================================================================
--- orxonox/trunk/src/lib/gui/gui/gui.cc	(revision 4054)
+++ orxonox/trunk/src/lib/gui/gui/gui.cc	(revision 4056)
@@ -37,11 +37,11 @@
 
 // GUI-modules
-OrxonoxGuiFlags* flags = NULL;
-OrxonoxGuiVideo* video = NULL;
-OrxonoxGuiAudio* audio = NULL;
-OrxonoxGuiExec* exec = NULL;
-OrxonoxGuiBanner* banner = NULL;
-OrxonoxGuiKeys* keys = NULL;
-OrxonoxGuiUpdate* update = NULL;
+GuiFlags* flags = NULL;
+GuiVideo* video = NULL;
+GuiAudio* audio = NULL;
+GuiExec* exec = NULL;
+GuiBanner* banner = NULL;
+GuiKeys* keys = NULL;
+GuiUpdate* update = NULL;
 
 /* ORXONOXGUI */
@@ -50,5 +50,5 @@
    \brief Initializes the Gui
 */
-OrxonoxGui::OrxonoxGui(int argc, char *argv[])
+Gui::Gui(int argc, char *argv[])
 {
   Window* orxonoxGUI = NULL;
@@ -60,5 +60,5 @@
     Box* windowBox = new Box ('h');
     {
-      banner = new OrxonoxGuiBanner();
+      banner = new GuiBanner();
       windowBox->fill (banner->getWidget());
       
@@ -67,12 +67,12 @@
 	Box* avBox = new Box('h');
 	
-	video = new OrxonoxGuiVideo();
+	video = new GuiVideo();
 	avBox->fill(video->getWidget());
-	audio = new OrxonoxGuiAudio();
+	audio = new GuiAudio();
 	avBox->fill(audio->getWidget());
       
 	optionBoxL->fill(avBox);
 
-	keys = new OrxonoxGuiKeys();
+	keys = new GuiKeys();
 	optionBoxL->fill(keys->getWidget());
 	windowBox->fill(optionBoxL);
@@ -80,12 +80,12 @@
       Box* optionBoxR = new Box('v');
       {
-	exec = new OrxonoxGuiExec();
+	exec = new GuiExec();
 	optionBoxR->fill(exec->getWidget());
 	
-	flags = new OrxonoxGuiFlags();
+	flags = new GuiFlags();
 	
 	optionBoxR->fill(flags->getWidget());
 	
-	update = new OrxonoxGuiUpdate();
+	update = new GuiUpdate();
 	optionBoxR->fill(update->getWidget());
       }
@@ -118,5 +118,5 @@
   if (!access(exec->getConfigFile(), F_OK) && 
       static_cast<Option*>(orxonoxGUI->findWidgetByName("Always Show this Menu", 0))->value == 0)
-    OrxonoxGuiExec::startOrxonox(NULL, exec);
+    GuiExec::startOrxonox(NULL, exec);
   else
     {
@@ -126,10 +126,10 @@
 }
 
-bool OrxonoxGui::startOrxonox = false;
+bool Gui::startOrxonox = false;
 
 /**
    \brief Destructor.
 */
-OrxonoxGui::~OrxonoxGui(void)
+Gui::~Gui(void)
 {
   delete video;
Index: orxonox/trunk/src/lib/gui/gui/gui.h
===================================================================
--- orxonox/trunk/src/lib/gui/gui/gui.h	(revision 4054)
+++ orxonox/trunk/src/lib/gui/gui/gui.h	(revision 4056)
@@ -19,12 +19,10 @@
 #define GUI_DEFAULT_CONF_FILE "orxonox.conf"
 
-class OrxonoxGuiElement;
-
-//! Class that creates the OrxonoxGui
-class OrxonoxGui
+//! Class that creates the Gui
+class Gui
 {
  public:
-  OrxonoxGui(int argc, char *argv[]);
-  ~OrxonoxGui(void);
+  Gui(int argc, char *argv[]);
+  ~Gui(void);
 
   static bool startOrxonox;
Index: orxonox/trunk/src/lib/gui/gui/gui_audio.cc
===================================================================
--- orxonox/trunk/src/lib/gui/gui/gui_audio.cc	(revision 4054)
+++ orxonox/trunk/src/lib/gui/gui/gui_audio.cc	(revision 4056)
@@ -31,5 +31,5 @@
    \brief Creates an Audio-Frame
 */
-OrxonoxGuiAudio::OrxonoxGuiAudio(void)
+GuiAudio::GuiAudio(void)
 {
   Frame* audioFrame;        //!< The Frame that holds the audio Options.
@@ -70,5 +70,5 @@
     \brief Destructs the Audio-Stuff
 */
-OrxonoxGuiAudio::~OrxonoxGuiAudio(void)
+GuiAudio::~GuiAudio(void)
 {
   // nothing to do here.
Index: orxonox/trunk/src/lib/gui/gui/gui_audio.h
===================================================================
--- orxonox/trunk/src/lib/gui/gui/gui_audio.h	(revision 4054)
+++ orxonox/trunk/src/lib/gui/gui/gui_audio.h	(revision 4056)
@@ -10,9 +10,9 @@
 
 //! Class that creates the Audio-Options.
-class OrxonoxGuiAudio : public OrxonoxGuiElement
+class GuiAudio : public GuiElement
 {
  public:
-  OrxonoxGuiAudio(void);
-  ~OrxonoxGuiAudio(void);
+  GuiAudio(void);
+  ~GuiAudio(void);
 };
 #endif /* _GUI_AUDIO_H */
Index: orxonox/trunk/src/lib/gui/gui/gui_banner.cc
===================================================================
--- orxonox/trunk/src/lib/gui/gui/gui_banner.cc	(revision 4054)
+++ orxonox/trunk/src/lib/gui/gui/gui_banner.cc	(revision 4056)
@@ -34,5 +34,5 @@
    \brief Creates a new BannerEventBox and its content.
 */
-OrxonoxGuiBanner::OrxonoxGuiBanner(void)
+GuiBanner::GuiBanner(void)
 {
   // the banner Frame
@@ -92,5 +92,5 @@
    \brief Destructs it.
 */
-OrxonoxGuiBanner::~OrxonoxGuiBanner(void)
+GuiBanner::~GuiBanner(void)
 {
   // nothing to do here
Index: orxonox/trunk/src/lib/gui/gui/gui_banner.h
===================================================================
--- orxonox/trunk/src/lib/gui/gui/gui_banner.h	(revision 4054)
+++ orxonox/trunk/src/lib/gui/gui/gui_banner.h	(revision 4056)
@@ -12,9 +12,9 @@
 
 //! Class that creates the Banner-Image
-class OrxonoxGuiBanner : public OrxonoxGuiElement
+class GuiBanner : public GuiElement
 {
  public:
-  OrxonoxGuiBanner(void);
-  ~OrxonoxGuiBanner(void);
+  GuiBanner(void);
+  ~GuiBanner(void);
 };
 
Index: orxonox/trunk/src/lib/gui/gui/gui_element.cc
===================================================================
--- orxonox/trunk/src/lib/gui/gui/gui_element.cc	(revision 4054)
+++ orxonox/trunk/src/lib/gui/gui/gui_element.cc	(revision 4056)
@@ -27,5 +27,5 @@
    \todo this constructor is not jet implemented - do it
 */
-OrxonoxGuiElement::OrxonoxGuiElement () 
+GuiElement::GuiElement () 
 {
   this->mainWidget = NULL;
@@ -37,5 +37,5 @@
 
 */
-OrxonoxGuiElement::~OrxonoxGuiElement () 
+GuiElement::~GuiElement () 
 {
   // delete what has to be deleted here
@@ -45,5 +45,5 @@
    \brief Every GuiElement should set this, or it could result in a SegFault.
 */
-void OrxonoxGuiElement::setMainWidget(Widget* widget)
+void GuiElement::setMainWidget(Widget* widget)
 {
   this->mainWidget = widget;
Index: orxonox/trunk/src/lib/gui/gui/gui_element.h
===================================================================
--- orxonox/trunk/src/lib/gui/gui/gui_element.h	(revision 4054)
+++ orxonox/trunk/src/lib/gui/gui/gui_element.h	(revision 4056)
@@ -11,9 +11,9 @@
 
 //! A SuperClass for all the Different GuiElements
-class OrxonoxGuiElement {
+class GuiElement {
 
  public:
-  OrxonoxGuiElement();
-  virtual ~OrxonoxGuiElement();
+  GuiElement();
+  virtual ~GuiElement();
   
   /** \returns the main Widget of this GuiElement. */
Index: orxonox/trunk/src/lib/gui/gui/gui_exec.cc
===================================================================
--- orxonox/trunk/src/lib/gui/gui/gui_exec.cc	(revision 4054)
+++ orxonox/trunk/src/lib/gui/gui/gui_exec.cc	(revision 4056)
@@ -38,5 +38,5 @@
     \brief Creates the Exec-Frame
 */
-OrxonoxGuiExec::OrxonoxGuiExec(void)
+GuiExec::GuiExec(void)
 {
   Frame* execFrame;            //!< The Frame that holds the ExecutionOptions.
@@ -76,7 +76,7 @@
       quit = new Button("Quit");
 #ifdef HAVE_GTK2
-      quit->connectSignal("clicked", this, OrxonoxGuiExec::quitGui);
-      //  Window::mainWindow->connectSignal("remove", this, OrxonoxGuiExec::quitGui);
-      Window::mainWindow->connectSignal("destroy", this, OrxonoxGuiExec::quitGui);
+      quit->connectSignal("clicked", this, GuiExec::quitGui);
+      //  Window::mainWindow->connectSignal("remove", this, GuiExec::quitGui);
+      Window::mainWindow->connectSignal("destroy", this, GuiExec::quitGui);
 #endif /* HAVE_GTK2 */
       execBox->fill(quit);
@@ -90,5 +90,5 @@
    \brief Destructs the Execution-stuff
 */
-OrxonoxGuiExec::~OrxonoxGuiExec(void)
+GuiExec::~GuiExec(void)
 {
   if(this->confFile)
@@ -104,5 +104,5 @@
    \param confDir the Directory for the configuration files
 */
-void OrxonoxGuiExec::setConfDir(const char* confDir)
+void GuiExec::setConfDir(const char* confDir)
 {
   this->confDir = ResourceManager::homeDirCheck(confDir);
@@ -123,5 +123,5 @@
    The name will be parsed from ~/ to /home/[username] on unix and c:/Documents and Settings/username/Settings/ on Windows
 */
-void OrxonoxGuiExec::setConfFile(const char* fileName)
+void GuiExec::setConfFile(const char* fileName)
 {
   if (!this->confDir)
@@ -135,5 +135,5 @@
    \returns The name of the Configuration-File
 */
-const char* OrxonoxGuiExec::getConfigFile(void) const
+const char* GuiExec::getConfigFile(void) const
 {
   return this->confFile;
@@ -144,5 +144,5 @@
    \return 1 if it should 0 if not/
 */
-int OrxonoxGuiExec::shouldsave()
+int GuiExec::shouldsave()
 {
   return(static_cast<Option*>(this->saveSettings)->value);
@@ -153,7 +153,7 @@
     \param widget from which Widget on should be saved.
 
-    this Function only opens and closes the file, in between OrxonoxGuiExec::writeFileText(Widget* widget) will execute the real writing process.
-*/
-void OrxonoxGuiExec::writeToFile(Widget* widget)
+    this Function only opens and closes the file, in between GuiExec::writeFileText(Widget* widget) will execute the real writing process.
+*/
+void GuiExec::writeToFile(Widget* widget)
 {
   this->CONFIG_FILE = fopen(this->confFile, "w");
@@ -168,5 +168,5 @@
    \param depth initially "0", and grows higher, while new Groups are bundeled.
 */
-void OrxonoxGuiExec::writeFileText(Widget* widget, int depth)
+void GuiExec::writeFileText(Widget* widget, int depth)
 {
   int counter = 0;
@@ -219,5 +219,5 @@
    \param widget from which Widget on should be saved.
 */
-void OrxonoxGuiExec::readFromFile(Widget* widget)
+void GuiExec::readFromFile(Widget* widget)
 {
   this->CONFIG_FILE = fopen(this->confFile, "r");
@@ -268,5 +268,5 @@
    \param varInfo Information about the Variable to read
 */
-void OrxonoxGuiExec::readFileText(Widget* widget, void* varInfo)
+void GuiExec::readFileText(Widget* widget, void* varInfo)
 {
   VarInfo* info =(VarInfo*)varInfo;
@@ -288,5 +288,5 @@
    \todo do this in gui-gtk.
 */
-Widget* OrxonoxGuiExec::locateGroup(Widget* widget, char* groupName, int depth)
+Widget* GuiExec::locateGroup(Widget* widget, char* groupName, int depth)
 {
   Widget* tmp;
@@ -329,7 +329,7 @@
 */
 #ifdef HAVE_GTK2
-int OrxonoxGuiExec::startOrxonox(GtkWidget* widget, void* data)
+int GuiExec::startOrxonox(GtkWidget* widget, void* data)
 #else /* HAVE_GTK2 */
-int OrxonoxGuiExec::startOrxonox(void* widget, void* data)
+int GuiExec::startOrxonox(void* widget, void* data)
 #endif /* HAVE_GTK2 */
 {
@@ -343,5 +343,5 @@
 
   PRINT(3)("Starting Orxonox\n");
-  OrxonoxGui::startOrxonox = true;
+  Gui::startOrxonox = true;
 }
 
@@ -354,10 +354,10 @@
 */
 #ifdef HAVE_GTK2
-int OrxonoxGuiExec::quitGui(GtkWidget* widget, void* data)
+int GuiExec::quitGui(GtkWidget* widget, void* data)
 #else /* HAVE_GTK2 */
-int OrxonoxGuiExec::quitGui(void* widget, void* data)
-#endif /* HAVE_GTK2 */
-{
-  OrxonoxGuiExec* exec =(OrxonoxGuiExec*)data;
+int GuiExec::quitGui(void* widget, void* data)
+#endif /* HAVE_GTK2 */
+{
+  GuiExec* exec =(GuiExec*)data;
   if(exec->shouldsave())
     exec->writeToFile(Window::mainWindow);
Index: orxonox/trunk/src/lib/gui/gui/gui_exec.h
===================================================================
--- orxonox/trunk/src/lib/gui/gui/gui_exec.h	(revision 4054)
+++ orxonox/trunk/src/lib/gui/gui/gui_exec.h	(revision 4056)
@@ -16,5 +16,5 @@
 
 //! Class that creates the execute-Options.
-class OrxonoxGuiExec : public OrxonoxGuiElement
+class GuiExec : public GuiElement
 {
  private:
@@ -33,6 +33,6 @@
 
  public:
-  OrxonoxGuiExec(void);
-  ~OrxonoxGuiExec(void);
+  GuiExec(void);
+  ~GuiExec(void);
   
   void setConfDir(const char* confDir);
Index: orxonox/trunk/src/lib/gui/gui/gui_flags.cc
===================================================================
--- orxonox/trunk/src/lib/gui/gui/gui_flags.cc	(revision 4054)
+++ orxonox/trunk/src/lib/gui/gui/gui_flags.cc	(revision 4056)
@@ -29,5 +29,5 @@
    \brief Creates the Flags-Frame
 */
-OrxonoxGuiFlags::OrxonoxGuiFlags(void)
+GuiFlags::GuiFlags(void)
 {
   this->flagsFrame = new Frame("Orxonox-Startup-Flags:");
@@ -47,5 +47,5 @@
    \brief Destructs the Flags-stuff
 */
-OrxonoxGuiFlags::~OrxonoxGuiFlags(void)
+GuiFlags::~GuiFlags(void)
 {
   // nothing to do here
@@ -56,5 +56,5 @@
    \param widget the Widget from which on to scan for deeper Options and their settings.
 */
-void OrxonoxGuiFlags::setTextFromFlags(Widget* widget)
+void GuiFlags::setTextFromFlags(Widget* widget)
 {
   FlagInfo flagInfo;
@@ -64,5 +64,5 @@
   this->flagsLabel->ereaseText();
   this->flagsLabel->appendText(executable);
-  widget->walkThrough(OrxonoxGuiFlags::flagsText, &flagInfo, 0);
+  widget->walkThrough(GuiFlags::flagsText, &flagInfo, 0);
   //  flagsLabel->setTitle(flagText);
 }
@@ -70,8 +70,8 @@
 /** 
     \brief this actually sets the flagtext, and appends it to flagText
-    \param widget like OrxonoxGuiFlags::setTextFromFlags(widget)
+    \param widget like GuiFlags::setTextFromFlags(widget)
     \param flagInfo Information aboout the Flag that should be updated.
 */
-void OrxonoxGuiFlags::flagsText(Widget* widget, void* flagInfo)
+void GuiFlags::flagsText(Widget* widget, void* flagInfo)
 {
   FlagInfo* info =(FlagInfo*)flagInfo;
Index: orxonox/trunk/src/lib/gui/gui/gui_flags.h
===================================================================
--- orxonox/trunk/src/lib/gui/gui/gui_flags.h	(revision 4054)
+++ orxonox/trunk/src/lib/gui/gui/gui_flags.h	(revision 4056)
@@ -12,5 +12,5 @@
 
 //! Class that creates the flags-Text.
-class OrxonoxGuiFlags : public OrxonoxGuiElement
+class GuiFlags : public GuiElement
 {
  private:
@@ -21,6 +21,6 @@
 
  public:
-  OrxonoxGuiFlags(void);
-  ~OrxonoxGuiFlags(void);
+  GuiFlags(void);
+  ~GuiFlags(void);
 
   void setTextFromFlags(Widget* widget);
Index: orxonox/trunk/src/lib/gui/gui/gui_gtk.cc
===================================================================
--- orxonox/trunk/src/lib/gui/gui/gui_gtk.cc	(revision 4054)
+++ orxonox/trunk/src/lib/gui/gui/gui_gtk.cc	(revision 4056)
@@ -34,5 +34,5 @@
 
 #include "gui_flags.h"
-extern OrxonoxGuiFlags* flags;
+extern GuiFlags* flags;
 
 char* executable;
Index: orxonox/trunk/src/lib/gui/gui/gui_keys.cc
===================================================================
--- orxonox/trunk/src/lib/gui/gui/gui_keys.cc	(revision 4054)
+++ orxonox/trunk/src/lib/gui/gui/gui_keys.cc	(revision 4056)
@@ -31,5 +31,5 @@
    \brief Creates an Keyboard-Frame
 */
-OrxonoxGuiKeys::OrxonoxGuiKeys(void)
+GuiKeys::GuiKeys(void)
 {
   this->keysFrame = new Frame("Keyboard-Options:");
@@ -49,5 +49,5 @@
    \brief Destructs the Keys-stuff
 */
-OrxonoxGuiKeys::~OrxonoxGuiKeys(void)
+GuiKeys::~GuiKeys(void)
 {
   // nothing to do here.
Index: orxonox/trunk/src/lib/gui/gui/gui_keys.h
===================================================================
--- orxonox/trunk/src/lib/gui/gui/gui_keys.h	(revision 4054)
+++ orxonox/trunk/src/lib/gui/gui/gui_keys.h	(revision 4056)
@@ -22,5 +22,5 @@
 class Player;
 //! Class that creates the Keys-Options.
-class OrxonoxGuiKeys : public OrxonoxGuiElement
+class GuiKeys : public GuiElement
 {
  private:
@@ -32,6 +32,6 @@
 
  public:
-  OrxonoxGuiKeys(void);
-  ~OrxonoxGuiKeys(void);
+  GuiKeys(void);
+  ~GuiKeys(void);
 };
 
Index: orxonox/trunk/src/lib/gui/gui/gui_main.cc
===================================================================
--- orxonox/trunk/src/lib/gui/gui/gui_main.cc	(revision 4054)
+++ orxonox/trunk/src/lib/gui/gui/gui_main.cc	(revision 4056)
@@ -30,5 +30,5 @@
 int main(int argc, char *argv[])
 {
-  OrxonoxGui* orxonoxgui = new OrxonoxGui(argc, argv);
+  Gui* orxonoxgui = new Gui(argc, argv);
   return 0;
 }
Index: orxonox/trunk/src/lib/gui/gui/gui_update.cc
===================================================================
--- orxonox/trunk/src/lib/gui/gui/gui_update.cc	(revision 4054)
+++ orxonox/trunk/src/lib/gui/gui/gui_update.cc	(revision 4056)
@@ -35,5 +35,5 @@
    \brief Creates an Update-Frame
 */
-OrxonoxGuiUpdate::OrxonoxGuiUpdate(void)
+GuiUpdate::GuiUpdate(void)
 {
   this->tmpDir = NULL;
@@ -73,5 +73,5 @@
    \brief Destructs the Update-stuff
 */
-OrxonoxGuiUpdate::~OrxonoxGuiUpdate(void)
+GuiUpdate::~GuiUpdate(void)
 {
 
@@ -81,5 +81,5 @@
     \brief Look what info we can get from this system
 */
-bool OrxonoxGuiUpdate::getSystemInfo(void)
+bool GuiUpdate::getSystemInfo(void)
 {
   PRINTF(3)("Grabbing system information\n");
@@ -107,5 +107,5 @@
 
 #ifdef HAVE_CURL
-bool* OrxonoxGuiUpdate::checkForUpdates(void)
+bool* GuiUpdate::checkForUpdates(void)
 {
   PRINTF(3)("checking for new version of orxonox\n");
@@ -122,5 +122,5 @@
    \brief Creates a window, and all it contains for the Data-update.
 */
-void OrxonoxGuiUpdate::updateDataWindowCreate(void)
+void GuiUpdate::updateDataWindowCreate(void)
 {
   this->updateDataWindow = new Window("update orxonox::Data");   
@@ -161,5 +161,5 @@
    \returns A Pointer to the Button of the UpdaterDataWindow
 */
-Button* OrxonoxGuiUpdate::updateDataWindowGetButton(void)
+Button* GuiUpdate::updateDataWindowGetButton(void)
 {
   return this->updateDataWindowButton;
@@ -169,5 +169,5 @@
    \brief Creates a window, and all it contains for the Source-update.
 */
-void OrxonoxGuiUpdate::updateSourceWindowCreate(void)
+void GuiUpdate::updateSourceWindowCreate(void)
 {
   // the button, that opens this Window.
@@ -200,5 +200,5 @@
    \returns A Pointer to the Button of the UpdaterSourceWindow
 */
-Button* OrxonoxGuiUpdate::updateSourceWindowGetButton(void)
+Button* GuiUpdate::updateSourceWindowGetButton(void)
 {
   return this->updateSourceWindowButton;
@@ -213,5 +213,5 @@
    \param button The Button, that triggered this event.
 */
-gint OrxonoxGuiUpdate::updateDataFunc(GtkWidget* w, GdkEventKey* event, void* info)
+gint GuiUpdate::updateDataFunc(GtkWidget* w, GdkEventKey* event, void* info)
 {
   FileInfo* dataInfo =(FileInfo*)info;
@@ -230,5 +230,5 @@
    \param button The Button, that triggered this event.
 */
-gint OrxonoxGuiUpdate::updateSourceFunc(GtkWidget* w, GdkEventKey* event, void* bar)
+gint GuiUpdate::updateSourceFunc(GtkWidget* w, GdkEventKey* event, void* bar)
 {
   ProgressBar* tmpBar = static_cast<ProgressBar*>(bar);
@@ -245,5 +245,5 @@
    \param stream Filehandler to write to.
 */
-size_t OrxonoxGuiUpdate::curlWriteFunc(void* ptr, size_t size, size_t nmemb, FILE* stream)
+size_t GuiUpdate::curlWriteFunc(void* ptr, size_t size, size_t nmemb, FILE* stream)
 {
   return fwrite(ptr, size, nmemb, stream);
@@ -257,5 +257,5 @@
    \param stream Filehandler to get data from.
 */
-size_t OrxonoxGuiUpdate::curlReadFunc(void* ptr, size_t size, size_t nmemb, FILE* stream)
+size_t GuiUpdate::curlReadFunc(void* ptr, size_t size, size_t nmemb, FILE* stream)
 {
   return fread(ptr, size, nmemb, stream);
@@ -271,5 +271,5 @@
    \param upProgress not needed
 */
-int OrxonoxGuiUpdate::curlProgressFunc(ProgressBar* bar, double totalSize, double progress, double upTotal, double upProgress)
+int GuiUpdate::curlProgressFunc(ProgressBar* bar, double totalSize, double progress, double upTotal, double upProgress)
 {
   bar->setProgress(progress);
@@ -286,16 +286,16 @@
    \brief The Curl handle for only one CURL(static).
 */
-CURL* OrxonoxGuiUpdate::curlHandle = NULL;
+CURL* GuiUpdate::curlHandle = NULL;
 
 #ifdef HAVE_PTHREAD_H
 /** \brief The download Thread ID */
-pthread_t* OrxonoxGuiUpdate::downloadThreadID = new pthread_t;
+pthread_t* GuiUpdate::downloadThreadID = new pthread_t;
 /**   \brief The download Thread ID*/
-pthread_t* OrxonoxGuiUpdate::downloadThreadFinishID = new pthread_t;
+pthread_t* GuiUpdate::downloadThreadFinishID = new pthread_t;
 #endif /* HAVE_PTHREAD_H */
 /**
    \brief A bool parameter that shows if we are downloading.
 */
-bool OrxonoxGuiUpdate::isDownloading = false;
+bool GuiUpdate::isDownloading = false;
 
 
@@ -306,5 +306,5 @@
    !! BE AWARE THIS WILL NOT BE THREADED. !!
 */
-bool OrxonoxGuiUpdate::download(void* fileInfo)
+bool GuiUpdate::download(void* fileInfo)
 {
   if(isDownloading)
@@ -354,5 +354,5 @@
    Downloading with a Button that gets a different Name while downloading, and a Bar, that gets to be updated. More to be followed
 */
-bool OrxonoxGuiUpdate::downloadWithStyle(void* fileInfo)
+bool GuiUpdate::downloadWithStyle(void* fileInfo)
 {
   if(isDownloading)
@@ -426,5 +426,5 @@
    \todo Threads get locked, if the cancel button is pressed in to small intervals.
 */
-void* OrxonoxGuiUpdate::downloadThread(void* fileInfo)
+void* GuiUpdate::downloadThread(void* fileInfo)
 {
   isDownloading = true;
@@ -436,5 +436,5 @@
    \param fileInfo the FileInfo.
 */
-void* OrxonoxGuiUpdate::downloadThreadFinished(void* fileInfo)
+void* GuiUpdate::downloadThreadFinished(void* fileInfo)
 { 
   FileInfo* info =(FileInfo*)fileInfo;
@@ -477,5 +477,5 @@
    \todo canceling a session in non-threaded mode.
 */
-gint OrxonoxGuiUpdate::cancelDownload(GtkWidget* w, GdkEventKey* event, void* bar)
+gint GuiUpdate::cancelDownload(GtkWidget* w, GdkEventKey* event, void* bar)
 {
 #ifdef HAVE_PTHREAD_H
Index: orxonox/trunk/src/lib/gui/gui/gui_update.h
===================================================================
--- orxonox/trunk/src/lib/gui/gui/gui_update.h	(revision 4054)
+++ orxonox/trunk/src/lib/gui/gui/gui_update.h	(revision 4056)
@@ -24,5 +24,5 @@
 
 //! Class that creates the execute-Options.
-class OrxonoxGuiUpdate : public OrxonoxGuiElement
+class GuiUpdate : public GuiElement
 {
  private:
@@ -97,6 +97,6 @@
 
  public:
-  OrxonoxGuiUpdate(void);
-  ~OrxonoxGuiUpdate(void);
+  GuiUpdate(void);
+  ~GuiUpdate(void);
   
 #ifdef HAVE_CURL   
Index: orxonox/trunk/src/lib/gui/gui/gui_video.cc
===================================================================
--- orxonox/trunk/src/lib/gui/gui/gui_video.cc	(revision 4054)
+++ orxonox/trunk/src/lib/gui/gui/gui_video.cc	(revision 4056)
@@ -33,5 +33,5 @@
    \brief Creates the Video-Option-Frame
 */
-OrxonoxGuiVideo::OrxonoxGuiVideo(void)
+GuiVideo::GuiVideo(void)
 {
   this->videoFrame = new Frame("Video-Options:");
@@ -62,5 +62,5 @@
    \brief Destructs the Video-stuff
 */
-OrxonoxGuiVideo::~OrxonoxGuiVideo(void)
+GuiVideo::~GuiVideo(void)
 {
   // nothing to do here.
@@ -70,5 +70,5 @@
    \brief Creates a window, and all it contains for the Source-update.
 */
-void OrxonoxGuiVideo::advancedWindowCreate(void)
+void GuiVideo::advancedWindowCreate(void)
 {
   // the button, that opens this Window.
@@ -137,10 +137,10 @@
    \returns A Pointer to the Button of the UpdaterSourceWindow
 */
-Button* OrxonoxGuiVideo::advancedWindowGetButton(void)
+Button* GuiVideo::advancedWindowGetButton(void)
 {
   return this->advancedButton;
 }
 
-void OrxonoxGuiVideo::getResolutions(Menu* menu)
+void GuiVideo::getResolutions(Menu* menu)
 {
   SDL_Init(SDL_INIT_VIDEO);
Index: orxonox/trunk/src/lib/gui/gui/gui_video.h
===================================================================
--- orxonox/trunk/src/lib/gui/gui/gui_video.h	(revision 4054)
+++ orxonox/trunk/src/lib/gui/gui/gui_video.h	(revision 4056)
@@ -11,5 +11,5 @@
 
 //! Class that creates the Video-Options.
-class OrxonoxGuiVideo : public OrxonoxGuiElement
+class GuiVideo : public GuiElement
 {
  private:
@@ -45,6 +45,6 @@
   
  public:
-  OrxonoxGuiVideo(void);
-  ~OrxonoxGuiVideo(void);
+  GuiVideo(void);
+  ~GuiVideo(void);
 
   void getResolutions(Menu* menu);