Index: /data/branches/single_player_map/scripts/falldown.lua
===================================================================
--- /data/branches/single_player_map/scripts/falldown.lua	(revision 4056)
+++ /data/branches/single_player_map/scripts/falldown.lua	(revision 4057)
@@ -19,5 +19,5 @@
 
 function fallDown(timestep)
-dy = dy + timestep*0.01
+dy = dy + timestep*0.1
 thisX = fallingguy:getAbsCoorX()
 thisY = fallingguy:getAbsCoorY()
Index: /data/branches/single_player_map/scripts/guard.lua
===================================================================
--- /data/branches/single_player_map/scripts/guard.lua	(revision 4056)
+++ /data/branches/single_player_map/scripts/guard.lua	(revision 4057)
@@ -8,6 +8,7 @@
 playerInLock = false
 hangarReached = false
-
-height = 80
+guardStopped = false
+
+height = 29
 
 -- Returns the distance between (x1,x2,x3) and (y1,y2,y3)
@@ -18,7 +19,22 @@
 
 function observePlayer()
+
+guardX = guard:getAbsCoorX()
+guardY = guard:getAbsCoorY()
+guardZ = guard:getAbsCoorZ()
+
 playerX = Player:getAbsCoorX()
 playerY = Player:getAbsCoorY()
 playerZ = Player:getAbsCoorZ()
+
+if dist( guardX,guardY,guardZ,playerX, playerX, playerX) > 30 and hangarRouteProgrammed then
+ --guard:stop()
+ guardStopped = true
+end
+
+if dist( guardX,guardY,guardZ,playerX, playerX, playerX) < 30 and hangarRouteProgrammed and guardStopped then
+ --guard:continue()
+ guardStopped = false
+end
 
 if dist( playerX,playerY,playerZ,167.361526,29,483.163818 ) < 60 then
Index: /data/branches/single_player_map/scripts/prisoner.lua
===================================================================
--- /data/branches/single_player_map/scripts/prisoner.lua	(revision 4056)
+++ /data/branches/single_player_map/scripts/prisoner.lua	(revision 4057)
@@ -3,4 +3,5 @@
 thisscript:addObject("FPSPlayer", "Player")
 thisscript:addObject("GenericNPC", "secondguard")
+thisscript:addObject("GenericNPC","guard")
 
 
@@ -15,5 +16,5 @@
 
 randTime = 0
-height = 80
+height = 29
 
 
@@ -40,11 +41,26 @@
 playerZ = Player:getAbsCoorZ()
 
+
+guardX = guard:getAbsCoorX()
+guardY = guard:getAbsCoorY()
+guardZ = guard:getAbsCoorZ()
+
+
 if dist( playerX,playerY,playerZ,161.76,49,358.87 ) < 60 then
 playerInLock = true
 end
 
-end
-
-
+
+if dist( guardX,guardY,guardZ,playerX, playerX, playerX) > 30 and hangarProgrammed then
+ --prisoner:stop()
+ guardStopped = true
+end
+
+if dist( guardX,guardY,guardZ,playerX, playerX, playerX) < 30 and hangarProgrammed and guardStopped then
+ --prisoner:continue()
+ guardStopped = false
+end
+
+end
 
 walkProgrammed = false
Index: /data/branches/single_player_map/scripts/secondguard.lua
===================================================================
--- /data/branches/single_player_map/scripts/secondguard.lua	(revision 4056)
+++ /data/branches/single_player_map/scripts/secondguard.lua	(revision 4057)
@@ -12,5 +12,5 @@
 hangarReached = false
 
-height = 100
+height = 29
 
 -- Returns the distance between (x1,x2,x3) and (y1,y2,y3)
@@ -30,4 +30,28 @@
 
 end
+
+function observePlayer()
+
+guardX = guard:getAbsCoorX()
+guardY = guard:getAbsCoorY()
+guardZ = guard:getAbsCoorZ()
+
+playerX = Player:getAbsCoorX()
+playerY = Player:getAbsCoorY()
+playerZ = Player:getAbsCoorZ()
+
+if dist( guardX,guardY,guardZ,playerX, playerX, playerX) > 30 and hangarProgrammed then
+ --secondguard:stop()
+ guardStopped = true
+end
+
+if dist( guardX,guardY,guardZ,playerX, playerX, playerX) < 30 and hangarProgrammed and guardStopped then
+ --secondguard:continue()
+ guardStopped = false
+end
+
+end
+
+
 
 function observePrisoner()
@@ -271,4 +295,5 @@
 observePrisoner()
 observeGuard()
+observePlayer()
 
 if not allOk then
Index: /data/branches/single_player_map/scripts/spaceship.lua
===================================================================
--- /data/branches/single_player_map/scripts/spaceship.lua	(revision 4056)
+++ /data/branches/single_player_map/scripts/spaceship.lua	(revision 4057)
@@ -126,9 +126,9 @@
 
 if playerReachedTrigger then
-moveToLaunchSite(timestep)
+--moveToLaunchSite(timestep)
 end
 
 if spaceshipLaunchReady then
-launchSpaceShip(timestep)
+--launchSpaceShip(timestep)
 end
 