Index: orxonox/trunk/src/lib/gui/gui/gui.cc
===================================================================
--- orxonox/trunk/src/lib/gui/gui/gui.cc	(revision 4057)
+++ orxonox/trunk/src/lib/gui/gui/gui.cc	(revision 4058)
@@ -37,10 +37,10 @@
 
 // GUI-modules
-GuiFlags* flags = NULL;
-GuiVideo* video = NULL;
-GuiAudio* audio = NULL;
-GuiExec* exec = NULL;
+GuiFlags* flags   = NULL;
+GuiVideo* video   = NULL;
+GuiAudio* audio   = NULL;
+GuiExec* exec     = NULL;
 GuiBanner* banner = NULL;
-GuiKeys* keys = NULL;
+GuiKeys* keys     = NULL;
 GuiUpdate* update = NULL;
 
@@ -56,5 +56,5 @@
   initGUI(argc, argv);
 
-  orxonoxGUI = new Window( "grafical orxonox loader, "PACKAGE_VERSION);
+  orxonoxGUI = new Window( "grafical " PACKAGE_NAME " loader, "PACKAGE_VERSION);
   {
     Box* windowBox = new Box ('h');
@@ -100,8 +100,10 @@
   // Merging changes to the Options from appended flags.
   for (int optCount = 1; optCount < argc; optCount++)
-    orxonoxGUI->walkThrough(Widget::flagCheck, argv[optCount], 0);
+    Window::mainWindow->walkThrough(Widget::flagCheck, argv[optCount], 0);
 
   flags->setTextFromFlags(Window::mainWindow);
-  orxonoxGUI->showall();
+  Window::mainWindow->showall();
+  
+  Window::mainWindow->walkThrough(Widget::redrawOptions, 1);
 
   //// Handling special Cases. ///
Index: orxonox/trunk/src/lib/gui/gui/gui_exec.cc
===================================================================
--- orxonox/trunk/src/lib/gui/gui/gui_exec.cc	(revision 4057)
+++ orxonox/trunk/src/lib/gui/gui/gui_exec.cc	(revision 4058)
@@ -67,5 +67,5 @@
       execBox->fill(this->saveSettings);
       verboseMode = new Menu("verbose mode", "nothing", "error", "warning", "info", "lastItem");
-      verboseMode->setFlagName("verbose", "v", 0);
+      verboseMode->setFlagName("verbose", "v", 2);
       verboseMode->saveability();
       execBox->fill(verboseMode);
Index: orxonox/trunk/src/lib/gui/gui/gui_gtk.cc
===================================================================
--- orxonox/trunk/src/lib/gui/gui/gui_gtk.cc	(revision 4057)
+++ orxonox/trunk/src/lib/gui/gui/gui_gtk.cc	(revision 4058)
@@ -395,10 +395,21 @@
   return NULL;
 }
- 
-/** 
+
+/**
     \brief This is for setting the option of "widget"
     \param widget specifies the widget that should be set.
 */
 void Widget::setOptions(Widget* widget)
+{
+  if (widget->isOption >= 1)
+    static_cast<Option*>(widget)->redraw();
+}
+
+/**
+   \brief redraws all the Widgets down from widget
+   \param widget The topmost Widget
+   \param data ...
+*/
+void Widget::redrawOptions(Widget* widget)
 {
   if (widget->isOption >= 1)
@@ -916,4 +927,12 @@
 
 /**
+   \param defaultValue new defaultValue for this option
+*/
+void Option::setDefaultValue(int defaultValue)
+{
+  this->value = this->defaultValue = defaultValue;
+}
+
+/**
    \brief This sets The FlagName of an Option and defines its default Values
    !! Options will be saved if flagname is different from NULL !!
@@ -928,5 +947,5 @@
   strcpy(this->flagName, flagname);
 
-  this->defaultValue = defaultvalue;
+  this->setDefaultValue(defaultvalue);
 
   if (this->flagNameShort)
@@ -956,5 +975,5 @@
   this->flagNameShort = new char [strlen(flagnameshort)+1];
   strcpy(this->flagNameShort, flagnameshort);
-  this->defaultValue = defaultvalue;
+  this->setDefaultValue(defaultvalue);
   //  cout << "Set Flagname of " << this->title << " to " << flagname << endl;
 }
Index: orxonox/trunk/src/lib/gui/gui/gui_gtk.h
===================================================================
--- orxonox/trunk/src/lib/gui/gui/gui_gtk.h	(revision 4057)
+++ orxonox/trunk/src/lib/gui/gui/gui_gtk.h	(revision 4058)
@@ -71,4 +71,5 @@
   Widget* findGroupByNumber(int* number, unsigned int depth);
   static void setOptions(Widget* widget);
+  static void redrawOptions(Widget* widget);
   static void flagCheck(Widget* widget, void* flagName);
   
@@ -241,4 +242,5 @@
 
   bool isSaveable(void);
+  void setDefaultValue(int defaultValue);
   void setFlagName(const char* flagname, int defaultvalue);
   void setFlagName(const char* flagname, const char* flagnameshort, int defaultvalue);
Index: orxonox/trunk/src/lib/gui/gui/gui_video.cc
===================================================================
--- orxonox/trunk/src/lib/gui/gui/gui_video.cc	(revision 4057)
+++ orxonox/trunk/src/lib/gui/gui/gui_video.cc	(revision 4058)
@@ -46,4 +46,5 @@
   this->getResolutions(this->resolution);
   this->resolution->saveability();
+  this->resolution->setFlagName("resolution", "r", 0);
   this->videoBox->fill(this->resolution);
   this->wireframe = new CheckButton("WireFrame-mode");
@@ -99,4 +100,5 @@
 
   this->textureDetail = new Menu("Texture Detail", "low", "medium", "high", "lastItem");
+  this->textureDetail->setDefaultValue(1);
   this->textureDetail->saveability();
   this->advancedBox->fill(this->textureDetail);
@@ -104,5 +106,6 @@
   this->modelDetailLabel = new Label("Model Detail");
   this->advancedBox->fill(this->modelDetailLabel);
-  this->modelDetail = new Menu("Model Detail", "low", "medium", "high", "lastItem");
+  this->modelDetail = new Menu("Model Detail", "low", "high", "lastItem");
+  this->modelDetail->setDefaultValue(1);
   this->modelDetail->saveability();
   this->advancedBox->fill(this->modelDetail);
@@ -111,4 +114,5 @@
   this->advancedBox->fill(this->antiAliasingLabel);
   this->antiAliasing = new Menu("Anti Aliasing", "0", "1", "2", "4", "8",  "lastItem");
+  this->antiAliasing->setDefaultValue(2);
   this->antiAliasing->saveability();
   this->advancedBox->fill(this->antiAliasing);
@@ -117,4 +121,5 @@
   this->advancedBox->fill(this->filterMethodLabel);
   this->filterMethod = new Menu("Filtering Method", "none", "linear", "bilinear", "trilinear", "anisortopic", "lastItem");
+  this->filterMethod->setDefaultValue(1);
   this->filterMethod->saveability();
   this->advancedBox->fill(this->filterMethod);