Index: orxonox/trunk/src/Makefile.in
===================================================================
--- orxonox/trunk/src/Makefile.in	(revision 4060)
+++ orxonox/trunk/src/Makefile.in	(revision 4061)
@@ -195,12 +195,8 @@
 EXEEXT = @EXEEXT@
 GPROF = @GPROF@
-GTHREAD_CFLAGS = @GTHREAD_CFLAGS@
-GTHREAD_LIBS = @GTHREAD_LIBS@
 GTK2_CFLAGS = @GTK2_CFLAGS@
 GTK2_LIBS = @GTK2_LIBS@
 HAVE_CURL_FALSE = @HAVE_CURL_FALSE@
 HAVE_CURL_TRUE = @HAVE_CURL_TRUE@
-HAVE_GTHREAD_FALSE = @HAVE_GTHREAD_FALSE@
-HAVE_GTHREAD_TRUE = @HAVE_GTHREAD_TRUE@
 HAVE_GTK2_FALSE = @HAVE_GTK2_FALSE@
 HAVE_GTK2_TRUE = @HAVE_GTK2_TRUE@
Index: orxonox/trunk/src/lib/Makefile.in
===================================================================
--- orxonox/trunk/src/lib/Makefile.in	(revision 4060)
+++ orxonox/trunk/src/lib/Makefile.in	(revision 4061)
@@ -89,12 +89,8 @@
 EXEEXT = @EXEEXT@
 GPROF = @GPROF@
-GTHREAD_CFLAGS = @GTHREAD_CFLAGS@
-GTHREAD_LIBS = @GTHREAD_LIBS@
 GTK2_CFLAGS = @GTK2_CFLAGS@
 GTK2_LIBS = @GTK2_LIBS@
 HAVE_CURL_FALSE = @HAVE_CURL_FALSE@
 HAVE_CURL_TRUE = @HAVE_CURL_TRUE@
-HAVE_GTHREAD_FALSE = @HAVE_GTHREAD_FALSE@
-HAVE_GTHREAD_TRUE = @HAVE_GTHREAD_TRUE@
 HAVE_GTK2_FALSE = @HAVE_GTK2_FALSE@
 HAVE_GTK2_TRUE = @HAVE_GTK2_TRUE@
Index: orxonox/trunk/src/lib/graphics/Makefile.in
===================================================================
--- orxonox/trunk/src/lib/graphics/Makefile.in	(revision 4060)
+++ orxonox/trunk/src/lib/graphics/Makefile.in	(revision 4061)
@@ -89,12 +89,8 @@
 EXEEXT = @EXEEXT@
 GPROF = @GPROF@
-GTHREAD_CFLAGS = @GTHREAD_CFLAGS@
-GTHREAD_LIBS = @GTHREAD_LIBS@
 GTK2_CFLAGS = @GTK2_CFLAGS@
 GTK2_LIBS = @GTK2_LIBS@
 HAVE_CURL_FALSE = @HAVE_CURL_FALSE@
 HAVE_CURL_TRUE = @HAVE_CURL_TRUE@
-HAVE_GTHREAD_FALSE = @HAVE_GTHREAD_FALSE@
-HAVE_GTHREAD_TRUE = @HAVE_GTHREAD_TRUE@
 HAVE_GTK2_FALSE = @HAVE_GTK2_FALSE@
 HAVE_GTK2_TRUE = @HAVE_GTK2_TRUE@
Index: orxonox/trunk/src/lib/graphics/importer/Makefile.in
===================================================================
--- orxonox/trunk/src/lib/graphics/importer/Makefile.in	(revision 4060)
+++ orxonox/trunk/src/lib/graphics/importer/Makefile.in	(revision 4061)
@@ -119,12 +119,8 @@
 EXEEXT = @EXEEXT@
 GPROF = @GPROF@
-GTHREAD_CFLAGS = @GTHREAD_CFLAGS@
-GTHREAD_LIBS = @GTHREAD_LIBS@
 GTK2_CFLAGS = @GTK2_CFLAGS@
 GTK2_LIBS = @GTK2_LIBS@
 HAVE_CURL_FALSE = @HAVE_CURL_FALSE@
 HAVE_CURL_TRUE = @HAVE_CURL_TRUE@
-HAVE_GTHREAD_FALSE = @HAVE_GTHREAD_FALSE@
-HAVE_GTHREAD_TRUE = @HAVE_GTHREAD_TRUE@
 HAVE_GTK2_FALSE = @HAVE_GTK2_FALSE@
 HAVE_GTK2_TRUE = @HAVE_GTK2_TRUE@
Index: orxonox/trunk/src/lib/gui/Makefile.in
===================================================================
--- orxonox/trunk/src/lib/gui/Makefile.in	(revision 4060)
+++ orxonox/trunk/src/lib/gui/Makefile.in	(revision 4061)
@@ -89,12 +89,8 @@
 EXEEXT = @EXEEXT@
 GPROF = @GPROF@
-GTHREAD_CFLAGS = @GTHREAD_CFLAGS@
-GTHREAD_LIBS = @GTHREAD_LIBS@
 GTK2_CFLAGS = @GTK2_CFLAGS@
 GTK2_LIBS = @GTK2_LIBS@
 HAVE_CURL_FALSE = @HAVE_CURL_FALSE@
 HAVE_CURL_TRUE = @HAVE_CURL_TRUE@
-HAVE_GTHREAD_FALSE = @HAVE_GTHREAD_FALSE@
-HAVE_GTHREAD_TRUE = @HAVE_GTHREAD_TRUE@
 HAVE_GTK2_FALSE = @HAVE_GTK2_FALSE@
 HAVE_GTK2_TRUE = @HAVE_GTK2_TRUE@
Index: orxonox/trunk/src/lib/gui/console/Makefile.in
===================================================================
--- orxonox/trunk/src/lib/gui/console/Makefile.in	(revision 4060)
+++ orxonox/trunk/src/lib/gui/console/Makefile.in	(revision 4061)
@@ -107,12 +107,8 @@
 EXEEXT = @EXEEXT@
 GPROF = @GPROF@
-GTHREAD_CFLAGS = @GTHREAD_CFLAGS@
-GTHREAD_LIBS = @GTHREAD_LIBS@
 GTK2_CFLAGS = @GTK2_CFLAGS@
 GTK2_LIBS = @GTK2_LIBS@
 HAVE_CURL_FALSE = @HAVE_CURL_FALSE@
 HAVE_CURL_TRUE = @HAVE_CURL_TRUE@
-HAVE_GTHREAD_FALSE = @HAVE_GTHREAD_FALSE@
-HAVE_GTHREAD_TRUE = @HAVE_GTHREAD_TRUE@
 HAVE_GTK2_FALSE = @HAVE_GTK2_FALSE@
 HAVE_GTK2_TRUE = @HAVE_GTK2_TRUE@
Index: orxonox/trunk/src/lib/gui/gui/Makefile.in
===================================================================
--- orxonox/trunk/src/lib/gui/gui/Makefile.in	(revision 4060)
+++ orxonox/trunk/src/lib/gui/gui/Makefile.in	(revision 4061)
@@ -112,12 +112,8 @@
 EXEEXT = @EXEEXT@
 GPROF = @GPROF@
-GTHREAD_CFLAGS = @GTHREAD_CFLAGS@
-GTHREAD_LIBS = @GTHREAD_LIBS@
 GTK2_CFLAGS = @GTK2_CFLAGS@
 GTK2_LIBS = @GTK2_LIBS@
 HAVE_CURL_FALSE = @HAVE_CURL_FALSE@
 HAVE_CURL_TRUE = @HAVE_CURL_TRUE@
-HAVE_GTHREAD_FALSE = @HAVE_GTHREAD_FALSE@
-HAVE_GTHREAD_TRUE = @HAVE_GTHREAD_TRUE@
 HAVE_GTK2_FALSE = @HAVE_GTK2_FALSE@
 HAVE_GTK2_TRUE = @HAVE_GTK2_TRUE@
Index: orxonox/trunk/src/lib/gui/gui/gui_gtk.cc
===================================================================
--- orxonox/trunk/src/lib/gui/gui/gui_gtk.cc	(revision 4060)
+++ orxonox/trunk/src/lib/gui/gui/gui_gtk.cc	(revision 4061)
@@ -49,9 +49,4 @@
 
 #ifdef HAVE_GTK2
-#ifdef HAVE_GTHREAD
-  PRINTF(4)("Initializing the ThreadSystem of the GUI\n");
-  g_thread_init(NULL);
-  gdk_threads_init();
-#endif /* HAVE_GTHREAD */
   gtk_init(&argc, &argv);
 #include "rc"
@@ -66,8 +61,5 @@
 {
 #ifdef HAVE_GTK2
-  gdk_threads_enter();
   gtk_main();
-  gdk_threads_leave();
-  delete Window::mainWindow;
 #else /* HAVE_GTK2 */
   char boolAns = 'y';
Index: orxonox/trunk/src/lib/gui/gui/gui_update.cc
===================================================================
--- orxonox/trunk/src/lib/gui/gui/gui_update.cc	(revision 4060)
+++ orxonox/trunk/src/lib/gui/gui/gui_update.cc	(revision 4061)
@@ -276,8 +276,6 @@
   bar->setTotalSize(totalSize);
 #ifdef HAVE_GTK2
-#ifndef HAVE_PTHREAD_H
   while(gtk_events_pending()) gtk_main_iteration();
 #endif
-#endif
   return 0;
 }
@@ -288,10 +286,4 @@
 CURL* GuiUpdate::curlHandle = NULL;
 
-#ifdef HAVE_PTHREAD_H
-/** \brief The download Thread ID */
-pthread_t* GuiUpdate::downloadThreadID = new pthread_t;
-/**   \brief The download Thread ID*/
-pthread_t* GuiUpdate::downloadThreadFinishID = new pthread_t;
-#endif /* HAVE_PTHREAD_H */
 /**
    \brief A bool parameter that shows if we are downloading.
@@ -387,25 +379,12 @@
       if(!isDownloading)
 	{
-#ifdef HAVE_PTHREAD_H	  
-	  pthread_join(*downloadThreadFinishID, NULL);
-#endif /* HAVE_PTHREAD_H */
 #ifdef HAVE_GTK2 
 	  info->stateButton->disconnectSignal(info->buttonSignal);
 	  info->buttonSignal = info->stateButton->connectSignal("button_press_event", info, cancelDownload);
 #endif /* HAVE_GTK2 */
-#ifdef HAVE_PTHREAD_H
-	  info->stateButton->setTitle("cancel");
-#else /* HAVE_PTHREAD_H */
 	  info->stateButton->setTitle("please wait");
-#endif /* HAVE_PTHREAD_H */
 	  
-	  //! \todo check if threads really were created.
-#ifdef HAVE_PTHREAD_H
-	  pthread_create(downloadThreadID, NULL, downloadThread, info);
-	  pthread_create(downloadThreadFinishID, NULL, downloadThreadFinished, info);  
-#else
 	  downloadThread(info);
 	  downloadThreadFinished(info);
-#endif /* HAVE_PTHREAD_H */
 	 
 	  //      res = curl_easy_perform(curlHandle);
@@ -439,10 +418,4 @@
 { 
   FileInfo* info =(FileInfo*)fileInfo;
-#ifdef HAVE_PTHREAD_H
-  pthread_join(*downloadThreadID, NULL);
-#ifdef HAVE_GTK2 
-  gdk_threads_enter();
-#endif /* HAVE_GTK2 */
-#endif /* HAVE_PTHREAD_H */
   if(curlHandle)
     curl_easy_cleanup(curlHandle);
@@ -460,9 +433,4 @@
 #endif /* HAVE_GTK2 */
   isDownloading = false;
-#ifdef HAVE_PTHREAD_H
-#ifdef HAVE_GTK2 
-  gdk_threads_leave();
-#endif /* HAVE_GTK2 */
-#endif /* HAVE_PTHREAD_H */
 
 }
@@ -479,9 +447,5 @@
 gint GuiUpdate::cancelDownload(GtkWidget* w, GdkEventKey* event, void* bar)
 {
-#ifdef HAVE_PTHREAD_H
-  pthread_cancel(*downloadThreadID);
-#else
-  PRINTF(2)("Cannot cancle the Downloading process until after this File, because no threading was enabled\n");
-#endif /* HAVE_PTHREAD_H*/
+  PRINTF(4)("Cannot cancle the Downloading process until after this File\n");
 }
 #endif /* HAVE_GTK2 */
Index: orxonox/trunk/src/lib/gui/gui/gui_update.h
===================================================================
--- orxonox/trunk/src/lib/gui/gui/gui_update.h	(revision 4060)
+++ orxonox/trunk/src/lib/gui/gui/gui_update.h	(revision 4061)
@@ -82,9 +82,6 @@
   static gint cancelDownload(GtkWidget* w, GdkEventKey* event, void* bar);
 #endif /* HAVE_GTK2 */  
-#ifdef HAVE_PTHREAD_H
-  static pthread_t* downloadThreadID;
-  static pthread_t* downloadThreadFinishID;
-#endif /* HAVE_PTHREAD_H */
   static bool isDownloading;
+  static bool downloadCanceled;
 
   static bool download(void* fileInfo);
Index: orxonox/trunk/src/subprojects/Makefile.in
===================================================================
--- orxonox/trunk/src/subprojects/Makefile.in	(revision 4060)
+++ orxonox/trunk/src/subprojects/Makefile.in	(revision 4061)
@@ -89,12 +89,8 @@
 EXEEXT = @EXEEXT@
 GPROF = @GPROF@
-GTHREAD_CFLAGS = @GTHREAD_CFLAGS@
-GTHREAD_LIBS = @GTHREAD_LIBS@
 GTK2_CFLAGS = @GTK2_CFLAGS@
 GTK2_LIBS = @GTK2_LIBS@
 HAVE_CURL_FALSE = @HAVE_CURL_FALSE@
 HAVE_CURL_TRUE = @HAVE_CURL_TRUE@
-HAVE_GTHREAD_FALSE = @HAVE_GTHREAD_FALSE@
-HAVE_GTHREAD_TRUE = @HAVE_GTHREAD_TRUE@
 HAVE_GTK2_FALSE = @HAVE_GTK2_FALSE@
 HAVE_GTK2_TRUE = @HAVE_GTK2_TRUE@
Index: orxonox/trunk/src/subprojects/testmain/Makefile.in
===================================================================
--- orxonox/trunk/src/subprojects/testmain/Makefile.in	(revision 4060)
+++ orxonox/trunk/src/subprojects/testmain/Makefile.in	(revision 4061)
@@ -104,12 +104,8 @@
 EXEEXT = @EXEEXT@
 GPROF = @GPROF@
-GTHREAD_CFLAGS = @GTHREAD_CFLAGS@
-GTHREAD_LIBS = @GTHREAD_LIBS@
 GTK2_CFLAGS = @GTK2_CFLAGS@
 GTK2_LIBS = @GTK2_LIBS@
 HAVE_CURL_FALSE = @HAVE_CURL_FALSE@
 HAVE_CURL_TRUE = @HAVE_CURL_TRUE@
-HAVE_GTHREAD_FALSE = @HAVE_GTHREAD_FALSE@
-HAVE_GTHREAD_TRUE = @HAVE_GTHREAD_TRUE@
 HAVE_GTK2_FALSE = @HAVE_GTK2_FALSE@
 HAVE_GTK2_TRUE = @HAVE_GTK2_TRUE@